"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeploymentType = exports.DeploymentOption = exports.BlueGreenDeploymentConfiguration = exports.BlueInstanceTerminationOption = exports.InstanceAction = exports.GreenFleetProvisioningOption = exports.GreenFleetProvisioningAction = exports.DeploymentReadyOption = exports.DeploymentReadyAction = exports.BatchGetDeploymentGroupsInput = exports.BatchGetApplicationsOutput = exports.BatchGetApplicationsInput = exports.RevisionRequiredException = exports.InvalidRevisionException = exports.InvalidApplicationNameException = exports.BatchLimitExceededException = exports.BatchGetApplicationRevisionsOutput = exports.RevisionInfo = exports.GenericRevisionInfo = exports.BatchGetApplicationRevisionsInput = exports.RevisionLocation = exports.RawString = exports.S3Location = exports.BundleType = exports.RevisionLocationType = exports.GitHubLocation = exports.AutoScalingGroup = exports.AutoRollbackConfiguration = exports.AutoRollbackEvent = exports.ArnNotSupportedException = exports.AppSpecContent = exports.ApplicationRevisionSortBy = exports.ApplicationNameRequiredException = exports.ApplicationLimitExceededException = exports.ApplicationInfo = exports.ComputePlatform = exports.ApplicationDoesNotExistException = exports.ApplicationAlreadyExistsException = exports.AlarmsLimitExceededException = exports.AlarmConfiguration = exports.Alarm = exports.TagRequiredException = exports.TagLimitExceededException = exports.InvalidTagException = exports.InvalidInstanceNameException = exports.InstanceNotRegisteredException = exports.InstanceNameRequiredException = exports.InstanceLimitExceededException = exports.AddTagsToOnPremisesInstancesInput = exports.Tag = void 0;
exports.TargetStatus = exports.BatchGetDeploymentTargetsInput = exports.BatchGetDeploymentsOutput = exports.DeploymentInfo = exports.TargetInstances = exports.RollbackInfo = exports.RelatedDeployments = exports.FileExistsBehavior = exports.ErrorInformation = exports.ErrorCode = exports.DeploymentOverview = exports.DeploymentCreator = exports.BatchGetDeploymentsInput = exports.InvalidDeploymentIdException = exports.InvalidComputePlatformException = exports.InstanceIdRequiredException = exports.DeploymentIdRequiredException = exports.DeploymentDoesNotExistException = exports.BatchGetDeploymentInstancesOutput = exports.InstanceSummary = exports.InstanceStatus = exports.LifecycleEvent = exports.LifecycleEventStatus = exports.Diagnostics = exports.LifecycleErrorCode = exports._InstanceType = exports.BatchGetDeploymentInstancesInput = exports.InvalidDeploymentGroupNameException = exports.DeploymentGroupNameRequiredException = exports.DeploymentConfigDoesNotExistException = exports.BatchGetDeploymentGroupsOutput = exports.DeploymentGroupInfo = exports.TriggerConfig = exports.TriggerEventType = exports.OutdatedInstancesStrategy = exports.OnPremisesTagSet = exports.TagFilter = exports.TagFilterType = exports.LoadBalancerInfo = exports.TargetGroupPairInfo = exports.TrafficRoute = exports.TargetGroupInfo = exports.ELBInfo = exports.LastDeploymentInfo = exports.DeploymentStatus = exports.ECSService = exports.EC2TagSet = exports.EC2TagFilter = exports.EC2TagFilterType = exports.DeploymentStyle = void 0;
exports.TimeBasedCanary = exports.MinimumHealthyHosts = exports.ThrottlingException = exports.RevisionDoesNotExistException = exports.InvalidUpdateOutdatedInstancesOnlyValueException = exports.InvalidTrafficRoutingConfigurationException = exports.InvalidTargetInstancesException = exports.InvalidRoleException = exports.InvalidLoadBalancerInfoException = exports.InvalidIgnoreApplicationStopFailuresValueException = exports.InvalidGitHubAccountTokenException = exports.InvalidFileExistsBehaviorException = exports.InvalidDeploymentConfigNameException = exports.InvalidAutoScalingGroupException = exports.InvalidAutoRollbackConfigException = exports.DescriptionTooLongException = exports.DeploymentLimitExceededException = exports.DeploymentGroupDoesNotExistException = exports.CreateDeploymentOutput = exports.CreateDeploymentInput = exports.InvalidTagsToAddException = exports.CreateApplicationOutput = exports.CreateApplicationInput = exports.UnsupportedActionForDeploymentTypeException = exports.InvalidDeploymentWaitTypeException = exports.InvalidDeploymentStatusException = exports.DeploymentIsNotInReadyStateException = exports.DeploymentAlreadyCompletedException = exports.ContinueDeploymentInput = exports.DeploymentWaitType = exports.BucketNameFilterRequiredException = exports.BatchGetOnPremisesInstancesOutput = exports.InstanceInfo = exports.BatchGetOnPremisesInstancesInput = exports.InvalidDeploymentTargetIdException = exports.InstanceDoesNotExistException = exports.DeploymentTargetListSizeExceededException = exports.DeploymentTargetIdRequiredException = exports.DeploymentTargetDoesNotExistException = exports.DeploymentNotStartedException = exports.BatchGetDeploymentTargetsOutput = exports.DeploymentTarget = exports.LambdaTarget = exports.LambdaFunctionInfo = exports.InstanceTarget = exports.ECSTarget = exports.ECSTaskSet = exports.TargetLabel = exports.DeploymentTargetType = exports.CloudFormationTarget = void 0;
exports.GetDeploymentOutput = exports.GetDeploymentInput = exports.GetApplicationRevisionOutput = exports.GetApplicationRevisionInput = exports.GetApplicationOutput = exports.GetApplicationInput = exports.DeregisterOnPremisesInstanceInput = exports.DeleteResourcesByExternalIdOutput = exports.DeleteResourcesByExternalIdInput = exports.ResourceValidationException = exports.OperationNotSupportedException = exports.InvalidGitHubAccountTokenNameException = exports.GitHubAccountTokenNameRequiredException = exports.GitHubAccountTokenDoesNotExistException = exports.DeleteGitHubAccountTokenOutput = exports.DeleteGitHubAccountTokenInput = exports.DeleteDeploymentGroupOutput = exports.DeleteDeploymentGroupInput = exports.InvalidOperationException = exports.DeploymentConfigInUseException = exports.DeleteDeploymentConfigInput = exports.DeleteApplicationInput = exports.TriggerTargetsLimitExceededException = exports.TagSetListLimitExceededException = exports.RoleRequiredException = exports.LifecycleHookLimitExceededException = exports.InvalidTriggerConfigException = exports.InvalidTargetGroupPairException = exports.InvalidOnPremisesTagCombinationException = exports.InvalidInputException = exports.InvalidECSServiceException = exports.InvalidEC2TagException = exports.InvalidEC2TagCombinationException = exports.InvalidDeploymentStyleException = exports.InvalidBlueGreenDeploymentConfigurationException = exports.InvalidAlarmConfigException = exports.ECSServiceMappingLimitExceededException = exports.DeploymentGroupLimitExceededException = exports.DeploymentGroupAlreadyExistsException = exports.CreateDeploymentGroupOutput = exports.CreateDeploymentGroupInput = exports.InvalidMinimumHealthyHostValueException = exports.DeploymentConfigNameRequiredException = exports.DeploymentConfigLimitExceededException = exports.DeploymentConfigAlreadyExistsException = exports.CreateDeploymentConfigOutput = exports.CreateDeploymentConfigInput = exports.TrafficRoutingConfig = exports.TrafficRoutingType = exports.TimeBasedLinear = void 0;
exports.ListTagsForResourceInput = exports.InvalidArnException = exports.ListOnPremisesInstancesOutput = exports.ListOnPremisesInstancesInput = exports.RegistrationStatus = exports.InvalidTagFilterException = exports.InvalidRegistrationStatusException = exports.ListGitHubAccountTokenNamesOutput = exports.ListGitHubAccountTokenNamesInput = exports.ListDeploymentTargetsOutput = exports.ListDeploymentTargetsInput = exports.TargetFilterName = exports.ListDeploymentsOutput = exports.ListDeploymentsInput = exports.TimeRange = exports.InvalidTimeRangeException = exports.InvalidExternalIdException = exports.ListDeploymentInstancesOutput = exports.ListDeploymentInstancesInput = exports.InvalidTargetFilterNameException = exports.InvalidInstanceTypeException = exports.InvalidInstanceStatusException = exports.InvalidDeploymentInstanceTypeException = exports.ListDeploymentGroupsOutput = exports.ListDeploymentGroupsInput = exports.ListDeploymentConfigsOutput = exports.ListDeploymentConfigsInput = exports.ListApplicationsOutput = exports.ListApplicationsInput = exports.ListApplicationRevisionsOutput = exports.ListApplicationRevisionsInput = exports.SortOrder = exports.ListStateFilterAction = exports.InvalidSortOrderException = exports.InvalidSortByException = exports.InvalidNextTokenException = exports.InvalidKeyPrefixFilterException = exports.InvalidDeployedStateFilterException = exports.InvalidBucketNameFilterException = exports.GetOnPremisesInstanceOutput = exports.GetOnPremisesInstanceInput = exports.GetDeploymentTargetOutput = exports.GetDeploymentTargetInput = exports.GetDeploymentInstanceOutput = exports.GetDeploymentInstanceInput = exports.GetDeploymentGroupOutput = exports.GetDeploymentGroupInput = exports.GetDeploymentConfigOutput = exports.DeploymentConfigInfo = exports.GetDeploymentConfigInput = void 0;
exports.UpdateDeploymentGroupOutput = exports.UpdateDeploymentGroupInput = exports.UpdateApplicationInput = exports.UntagResourceOutput = exports.UntagResourceInput = exports.TagResourceOutput = exports.TagResourceInput = exports.StopDeploymentOutput = exports.StopStatus = exports.StopDeploymentInput = exports.SkipWaitTimeForInstanceTerminationInput = exports.RemoveTagsFromOnPremisesInstancesInput = exports.RegisterOnPremisesInstanceInput = exports.MultipleIamArnsProvidedException = exports.InvalidIamUserArnException = exports.InvalidIamSessionArnException = exports.InstanceNameAlreadyRegisteredException = exports.IamUserArnRequiredException = exports.IamUserArnAlreadyRegisteredException = exports.IamSessionArnAlreadyRegisteredException = exports.IamArnRequiredException = exports.RegisterApplicationRevisionInput = exports.PutLifecycleEventHookExecutionStatusOutput = exports.PutLifecycleEventHookExecutionStatusInput = exports.LifecycleEventAlreadyCompletedException = exports.InvalidLifecycleEventHookExecutionStatusException = exports.InvalidLifecycleEventHookExecutionIdException = exports.ResourceArnRequiredException = exports.ListTagsForResourceOutput = void 0;
const CodeDeployServiceException_1 = require("./CodeDeployServiceException");
var Tag;
(function (Tag) {
    Tag.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Tag = exports.Tag || (exports.Tag = {}));
var AddTagsToOnPremisesInstancesInput;
(function (AddTagsToOnPremisesInstancesInput) {
    AddTagsToOnPremisesInstancesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AddTagsToOnPremisesInstancesInput = exports.AddTagsToOnPremisesInstancesInput || (exports.AddTagsToOnPremisesInstancesInput = {}));
class InstanceLimitExceededException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InstanceLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "InstanceLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InstanceLimitExceededException.prototype);
    }
}
exports.InstanceLimitExceededException = InstanceLimitExceededException;
class InstanceNameRequiredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InstanceNameRequiredException",
            $fault: "client",
            ...opts,
        });
        this.name = "InstanceNameRequiredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InstanceNameRequiredException.prototype);
    }
}
exports.InstanceNameRequiredException = InstanceNameRequiredException;
class InstanceNotRegisteredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InstanceNotRegisteredException",
            $fault: "client",
            ...opts,
        });
        this.name = "InstanceNotRegisteredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InstanceNotRegisteredException.prototype);
    }
}
exports.InstanceNotRegisteredException = InstanceNotRegisteredException;
class InvalidInstanceNameException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidInstanceNameException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidInstanceNameException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidInstanceNameException.prototype);
    }
}
exports.InvalidInstanceNameException = InvalidInstanceNameException;
class InvalidTagException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidTagException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidTagException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidTagException.prototype);
    }
}
exports.InvalidTagException = InvalidTagException;
class TagLimitExceededException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "TagLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "TagLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TagLimitExceededException.prototype);
    }
}
exports.TagLimitExceededException = TagLimitExceededException;
class TagRequiredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "TagRequiredException",
            $fault: "client",
            ...opts,
        });
        this.name = "TagRequiredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TagRequiredException.prototype);
    }
}
exports.TagRequiredException = TagRequiredException;
var Alarm;
(function (Alarm) {
    Alarm.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Alarm = exports.Alarm || (exports.Alarm = {}));
var AlarmConfiguration;
(function (AlarmConfiguration) {
    AlarmConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AlarmConfiguration = exports.AlarmConfiguration || (exports.AlarmConfiguration = {}));
class AlarmsLimitExceededException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "AlarmsLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "AlarmsLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, AlarmsLimitExceededException.prototype);
    }
}
exports.AlarmsLimitExceededException = AlarmsLimitExceededException;
class ApplicationAlreadyExistsException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "ApplicationAlreadyExistsException",
            $fault: "client",
            ...opts,
        });
        this.name = "ApplicationAlreadyExistsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ApplicationAlreadyExistsException.prototype);
    }
}
exports.ApplicationAlreadyExistsException = ApplicationAlreadyExistsException;
class ApplicationDoesNotExistException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "ApplicationDoesNotExistException",
            $fault: "client",
            ...opts,
        });
        this.name = "ApplicationDoesNotExistException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ApplicationDoesNotExistException.prototype);
    }
}
exports.ApplicationDoesNotExistException = ApplicationDoesNotExistException;
var ComputePlatform;
(function (ComputePlatform) {
    ComputePlatform["ECS"] = "ECS";
    ComputePlatform["LAMBDA"] = "Lambda";
    ComputePlatform["SERVER"] = "Server";
})(ComputePlatform = exports.ComputePlatform || (exports.ComputePlatform = {}));
var ApplicationInfo;
(function (ApplicationInfo) {
    ApplicationInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ApplicationInfo = exports.ApplicationInfo || (exports.ApplicationInfo = {}));
class ApplicationLimitExceededException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "ApplicationLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "ApplicationLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ApplicationLimitExceededException.prototype);
    }
}
exports.ApplicationLimitExceededException = ApplicationLimitExceededException;
class ApplicationNameRequiredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "ApplicationNameRequiredException",
            $fault: "client",
            ...opts,
        });
        this.name = "ApplicationNameRequiredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ApplicationNameRequiredException.prototype);
    }
}
exports.ApplicationNameRequiredException = ApplicationNameRequiredException;
var ApplicationRevisionSortBy;
(function (ApplicationRevisionSortBy) {
    ApplicationRevisionSortBy["FirstUsedTime"] = "firstUsedTime";
    ApplicationRevisionSortBy["LastUsedTime"] = "lastUsedTime";
    ApplicationRevisionSortBy["RegisterTime"] = "registerTime";
})(ApplicationRevisionSortBy = exports.ApplicationRevisionSortBy || (exports.ApplicationRevisionSortBy = {}));
var AppSpecContent;
(function (AppSpecContent) {
    AppSpecContent.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AppSpecContent = exports.AppSpecContent || (exports.AppSpecContent = {}));
class ArnNotSupportedException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "ArnNotSupportedException",
            $fault: "client",
            ...opts,
        });
        this.name = "ArnNotSupportedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ArnNotSupportedException.prototype);
    }
}
exports.ArnNotSupportedException = ArnNotSupportedException;
var AutoRollbackEvent;
(function (AutoRollbackEvent) {
    AutoRollbackEvent["DEPLOYMENT_FAILURE"] = "DEPLOYMENT_FAILURE";
    AutoRollbackEvent["DEPLOYMENT_STOP_ON_ALARM"] = "DEPLOYMENT_STOP_ON_ALARM";
    AutoRollbackEvent["DEPLOYMENT_STOP_ON_REQUEST"] = "DEPLOYMENT_STOP_ON_REQUEST";
})(AutoRollbackEvent = exports.AutoRollbackEvent || (exports.AutoRollbackEvent = {}));
var AutoRollbackConfiguration;
(function (AutoRollbackConfiguration) {
    AutoRollbackConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoRollbackConfiguration = exports.AutoRollbackConfiguration || (exports.AutoRollbackConfiguration = {}));
var AutoScalingGroup;
(function (AutoScalingGroup) {
    AutoScalingGroup.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoScalingGroup = exports.AutoScalingGroup || (exports.AutoScalingGroup = {}));
var GitHubLocation;
(function (GitHubLocation) {
    GitHubLocation.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GitHubLocation = exports.GitHubLocation || (exports.GitHubLocation = {}));
var RevisionLocationType;
(function (RevisionLocationType) {
    RevisionLocationType["AppSpecContent"] = "AppSpecContent";
    RevisionLocationType["GitHub"] = "GitHub";
    RevisionLocationType["S3"] = "S3";
    RevisionLocationType["String"] = "String";
})(RevisionLocationType = exports.RevisionLocationType || (exports.RevisionLocationType = {}));
var BundleType;
(function (BundleType) {
    BundleType["JSON"] = "JSON";
    BundleType["Tar"] = "tar";
    BundleType["TarGZip"] = "tgz";
    BundleType["YAML"] = "YAML";
    BundleType["Zip"] = "zip";
})(BundleType = exports.BundleType || (exports.BundleType = {}));
var S3Location;
(function (S3Location) {
    S3Location.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(S3Location = exports.S3Location || (exports.S3Location = {}));
var RawString;
(function (RawString) {
    RawString.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RawString = exports.RawString || (exports.RawString = {}));
var RevisionLocation;
(function (RevisionLocation) {
    RevisionLocation.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RevisionLocation = exports.RevisionLocation || (exports.RevisionLocation = {}));
var BatchGetApplicationRevisionsInput;
(function (BatchGetApplicationRevisionsInput) {
    BatchGetApplicationRevisionsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetApplicationRevisionsInput = exports.BatchGetApplicationRevisionsInput || (exports.BatchGetApplicationRevisionsInput = {}));
var GenericRevisionInfo;
(function (GenericRevisionInfo) {
    GenericRevisionInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GenericRevisionInfo = exports.GenericRevisionInfo || (exports.GenericRevisionInfo = {}));
var RevisionInfo;
(function (RevisionInfo) {
    RevisionInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RevisionInfo = exports.RevisionInfo || (exports.RevisionInfo = {}));
var BatchGetApplicationRevisionsOutput;
(function (BatchGetApplicationRevisionsOutput) {
    BatchGetApplicationRevisionsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetApplicationRevisionsOutput = exports.BatchGetApplicationRevisionsOutput || (exports.BatchGetApplicationRevisionsOutput = {}));
class BatchLimitExceededException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "BatchLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "BatchLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, BatchLimitExceededException.prototype);
    }
}
exports.BatchLimitExceededException = BatchLimitExceededException;
class InvalidApplicationNameException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidApplicationNameException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidApplicationNameException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidApplicationNameException.prototype);
    }
}
exports.InvalidApplicationNameException = InvalidApplicationNameException;
class InvalidRevisionException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidRevisionException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidRevisionException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidRevisionException.prototype);
    }
}
exports.InvalidRevisionException = InvalidRevisionException;
class RevisionRequiredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "RevisionRequiredException",
            $fault: "client",
            ...opts,
        });
        this.name = "RevisionRequiredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, RevisionRequiredException.prototype);
    }
}
exports.RevisionRequiredException = RevisionRequiredException;
var BatchGetApplicationsInput;
(function (BatchGetApplicationsInput) {
    BatchGetApplicationsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetApplicationsInput = exports.BatchGetApplicationsInput || (exports.BatchGetApplicationsInput = {}));
var BatchGetApplicationsOutput;
(function (BatchGetApplicationsOutput) {
    BatchGetApplicationsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetApplicationsOutput = exports.BatchGetApplicationsOutput || (exports.BatchGetApplicationsOutput = {}));
var BatchGetDeploymentGroupsInput;
(function (BatchGetDeploymentGroupsInput) {
    BatchGetDeploymentGroupsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetDeploymentGroupsInput = exports.BatchGetDeploymentGroupsInput || (exports.BatchGetDeploymentGroupsInput = {}));
var DeploymentReadyAction;
(function (DeploymentReadyAction) {
    DeploymentReadyAction["CONTINUE_DEPLOYMENT"] = "CONTINUE_DEPLOYMENT";
    DeploymentReadyAction["STOP_DEPLOYMENT"] = "STOP_DEPLOYMENT";
})(DeploymentReadyAction = exports.DeploymentReadyAction || (exports.DeploymentReadyAction = {}));
var DeploymentReadyOption;
(function (DeploymentReadyOption) {
    DeploymentReadyOption.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeploymentReadyOption = exports.DeploymentReadyOption || (exports.DeploymentReadyOption = {}));
var GreenFleetProvisioningAction;
(function (GreenFleetProvisioningAction) {
    GreenFleetProvisioningAction["COPY_AUTO_SCALING_GROUP"] = "COPY_AUTO_SCALING_GROUP";
    GreenFleetProvisioningAction["DISCOVER_EXISTING"] = "DISCOVER_EXISTING";
})(GreenFleetProvisioningAction = exports.GreenFleetProvisioningAction || (exports.GreenFleetProvisioningAction = {}));
var GreenFleetProvisioningOption;
(function (GreenFleetProvisioningOption) {
    GreenFleetProvisioningOption.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GreenFleetProvisioningOption = exports.GreenFleetProvisioningOption || (exports.GreenFleetProvisioningOption = {}));
var InstanceAction;
(function (InstanceAction) {
    InstanceAction["KEEP_ALIVE"] = "KEEP_ALIVE";
    InstanceAction["TERMINATE"] = "TERMINATE";
})(InstanceAction = exports.InstanceAction || (exports.InstanceAction = {}));
var BlueInstanceTerminationOption;
(function (BlueInstanceTerminationOption) {
    BlueInstanceTerminationOption.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BlueInstanceTerminationOption = exports.BlueInstanceTerminationOption || (exports.BlueInstanceTerminationOption = {}));
var BlueGreenDeploymentConfiguration;
(function (BlueGreenDeploymentConfiguration) {
    BlueGreenDeploymentConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BlueGreenDeploymentConfiguration = exports.BlueGreenDeploymentConfiguration || (exports.BlueGreenDeploymentConfiguration = {}));
var DeploymentOption;
(function (DeploymentOption) {
    DeploymentOption["WITHOUT_TRAFFIC_CONTROL"] = "WITHOUT_TRAFFIC_CONTROL";
    DeploymentOption["WITH_TRAFFIC_CONTROL"] = "WITH_TRAFFIC_CONTROL";
})(DeploymentOption = exports.DeploymentOption || (exports.DeploymentOption = {}));
var DeploymentType;
(function (DeploymentType) {
    DeploymentType["BLUE_GREEN"] = "BLUE_GREEN";
    DeploymentType["IN_PLACE"] = "IN_PLACE";
})(DeploymentType = exports.DeploymentType || (exports.DeploymentType = {}));
var DeploymentStyle;
(function (DeploymentStyle) {
    DeploymentStyle.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeploymentStyle = exports.DeploymentStyle || (exports.DeploymentStyle = {}));
var EC2TagFilterType;
(function (EC2TagFilterType) {
    EC2TagFilterType["KEY_AND_VALUE"] = "KEY_AND_VALUE";
    EC2TagFilterType["KEY_ONLY"] = "KEY_ONLY";
    EC2TagFilterType["VALUE_ONLY"] = "VALUE_ONLY";
})(EC2TagFilterType = exports.EC2TagFilterType || (exports.EC2TagFilterType = {}));
var EC2TagFilter;
(function (EC2TagFilter) {
    EC2TagFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EC2TagFilter = exports.EC2TagFilter || (exports.EC2TagFilter = {}));
var EC2TagSet;
(function (EC2TagSet) {
    EC2TagSet.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EC2TagSet = exports.EC2TagSet || (exports.EC2TagSet = {}));
var ECSService;
(function (ECSService) {
    ECSService.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ECSService = exports.ECSService || (exports.ECSService = {}));
var DeploymentStatus;
(function (DeploymentStatus) {
    DeploymentStatus["BAKING"] = "Baking";
    DeploymentStatus["CREATED"] = "Created";
    DeploymentStatus["FAILED"] = "Failed";
    DeploymentStatus["IN_PROGRESS"] = "InProgress";
    DeploymentStatus["QUEUED"] = "Queued";
    DeploymentStatus["READY"] = "Ready";
    DeploymentStatus["STOPPED"] = "Stopped";
    DeploymentStatus["SUCCEEDED"] = "Succeeded";
})(DeploymentStatus = exports.DeploymentStatus || (exports.DeploymentStatus = {}));
var LastDeploymentInfo;
(function (LastDeploymentInfo) {
    LastDeploymentInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LastDeploymentInfo = exports.LastDeploymentInfo || (exports.LastDeploymentInfo = {}));
var ELBInfo;
(function (ELBInfo) {
    ELBInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ELBInfo = exports.ELBInfo || (exports.ELBInfo = {}));
var TargetGroupInfo;
(function (TargetGroupInfo) {
    TargetGroupInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TargetGroupInfo = exports.TargetGroupInfo || (exports.TargetGroupInfo = {}));
var TrafficRoute;
(function (TrafficRoute) {
    TrafficRoute.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TrafficRoute = exports.TrafficRoute || (exports.TrafficRoute = {}));
var TargetGroupPairInfo;
(function (TargetGroupPairInfo) {
    TargetGroupPairInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TargetGroupPairInfo = exports.TargetGroupPairInfo || (exports.TargetGroupPairInfo = {}));
var LoadBalancerInfo;
(function (LoadBalancerInfo) {
    LoadBalancerInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LoadBalancerInfo = exports.LoadBalancerInfo || (exports.LoadBalancerInfo = {}));
var TagFilterType;
(function (TagFilterType) {
    TagFilterType["KEY_AND_VALUE"] = "KEY_AND_VALUE";
    TagFilterType["KEY_ONLY"] = "KEY_ONLY";
    TagFilterType["VALUE_ONLY"] = "VALUE_ONLY";
})(TagFilterType = exports.TagFilterType || (exports.TagFilterType = {}));
var TagFilter;
(function (TagFilter) {
    TagFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagFilter = exports.TagFilter || (exports.TagFilter = {}));
var OnPremisesTagSet;
(function (OnPremisesTagSet) {
    OnPremisesTagSet.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OnPremisesTagSet = exports.OnPremisesTagSet || (exports.OnPremisesTagSet = {}));
var OutdatedInstancesStrategy;
(function (OutdatedInstancesStrategy) {
    OutdatedInstancesStrategy["Ignore"] = "IGNORE";
    OutdatedInstancesStrategy["Update"] = "UPDATE";
})(OutdatedInstancesStrategy = exports.OutdatedInstancesStrategy || (exports.OutdatedInstancesStrategy = {}));
var TriggerEventType;
(function (TriggerEventType) {
    TriggerEventType["DEPLOYMENT_FAILURE"] = "DeploymentFailure";
    TriggerEventType["DEPLOYMENT_READY"] = "DeploymentReady";
    TriggerEventType["DEPLOYMENT_ROLLBACK"] = "DeploymentRollback";
    TriggerEventType["DEPLOYMENT_START"] = "DeploymentStart";
    TriggerEventType["DEPLOYMENT_STOP"] = "DeploymentStop";
    TriggerEventType["DEPLOYMENT_SUCCESS"] = "DeploymentSuccess";
    TriggerEventType["INSTANCE_FAILURE"] = "InstanceFailure";
    TriggerEventType["INSTANCE_READY"] = "InstanceReady";
    TriggerEventType["INSTANCE_START"] = "InstanceStart";
    TriggerEventType["INSTANCE_SUCCESS"] = "InstanceSuccess";
})(TriggerEventType = exports.TriggerEventType || (exports.TriggerEventType = {}));
var TriggerConfig;
(function (TriggerConfig) {
    TriggerConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TriggerConfig = exports.TriggerConfig || (exports.TriggerConfig = {}));
var DeploymentGroupInfo;
(function (DeploymentGroupInfo) {
    DeploymentGroupInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeploymentGroupInfo = exports.DeploymentGroupInfo || (exports.DeploymentGroupInfo = {}));
var BatchGetDeploymentGroupsOutput;
(function (BatchGetDeploymentGroupsOutput) {
    BatchGetDeploymentGroupsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetDeploymentGroupsOutput = exports.BatchGetDeploymentGroupsOutput || (exports.BatchGetDeploymentGroupsOutput = {}));
class DeploymentConfigDoesNotExistException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentConfigDoesNotExistException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentConfigDoesNotExistException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentConfigDoesNotExistException.prototype);
    }
}
exports.DeploymentConfigDoesNotExistException = DeploymentConfigDoesNotExistException;
class DeploymentGroupNameRequiredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentGroupNameRequiredException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentGroupNameRequiredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentGroupNameRequiredException.prototype);
    }
}
exports.DeploymentGroupNameRequiredException = DeploymentGroupNameRequiredException;
class InvalidDeploymentGroupNameException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidDeploymentGroupNameException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDeploymentGroupNameException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDeploymentGroupNameException.prototype);
    }
}
exports.InvalidDeploymentGroupNameException = InvalidDeploymentGroupNameException;
var BatchGetDeploymentInstancesInput;
(function (BatchGetDeploymentInstancesInput) {
    BatchGetDeploymentInstancesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetDeploymentInstancesInput = exports.BatchGetDeploymentInstancesInput || (exports.BatchGetDeploymentInstancesInput = {}));
var _InstanceType;
(function (_InstanceType) {
    _InstanceType["BLUE"] = "Blue";
    _InstanceType["GREEN"] = "Green";
})(_InstanceType = exports._InstanceType || (exports._InstanceType = {}));
var LifecycleErrorCode;
(function (LifecycleErrorCode) {
    LifecycleErrorCode["SCRIPT_FAILED"] = "ScriptFailed";
    LifecycleErrorCode["SCRIPT_MISSING"] = "ScriptMissing";
    LifecycleErrorCode["SCRIPT_NOT_EXECUTABLE"] = "ScriptNotExecutable";
    LifecycleErrorCode["SCRIPT_TIMED_OUT"] = "ScriptTimedOut";
    LifecycleErrorCode["SUCCESS"] = "Success";
    LifecycleErrorCode["UNKNOWN_ERROR"] = "UnknownError";
})(LifecycleErrorCode = exports.LifecycleErrorCode || (exports.LifecycleErrorCode = {}));
var Diagnostics;
(function (Diagnostics) {
    Diagnostics.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Diagnostics = exports.Diagnostics || (exports.Diagnostics = {}));
var LifecycleEventStatus;
(function (LifecycleEventStatus) {
    LifecycleEventStatus["FAILED"] = "Failed";
    LifecycleEventStatus["IN_PROGRESS"] = "InProgress";
    LifecycleEventStatus["PENDING"] = "Pending";
    LifecycleEventStatus["SKIPPED"] = "Skipped";
    LifecycleEventStatus["SUCCEEDED"] = "Succeeded";
    LifecycleEventStatus["UNKNOWN"] = "Unknown";
})(LifecycleEventStatus = exports.LifecycleEventStatus || (exports.LifecycleEventStatus = {}));
var LifecycleEvent;
(function (LifecycleEvent) {
    LifecycleEvent.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LifecycleEvent = exports.LifecycleEvent || (exports.LifecycleEvent = {}));
var InstanceStatus;
(function (InstanceStatus) {
    InstanceStatus["FAILED"] = "Failed";
    InstanceStatus["IN_PROGRESS"] = "InProgress";
    InstanceStatus["PENDING"] = "Pending";
    InstanceStatus["READY"] = "Ready";
    InstanceStatus["SKIPPED"] = "Skipped";
    InstanceStatus["SUCCEEDED"] = "Succeeded";
    InstanceStatus["UNKNOWN"] = "Unknown";
})(InstanceStatus = exports.InstanceStatus || (exports.InstanceStatus = {}));
var InstanceSummary;
(function (InstanceSummary) {
    InstanceSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(InstanceSummary = exports.InstanceSummary || (exports.InstanceSummary = {}));
var BatchGetDeploymentInstancesOutput;
(function (BatchGetDeploymentInstancesOutput) {
    BatchGetDeploymentInstancesOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetDeploymentInstancesOutput = exports.BatchGetDeploymentInstancesOutput || (exports.BatchGetDeploymentInstancesOutput = {}));
class DeploymentDoesNotExistException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentDoesNotExistException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentDoesNotExistException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentDoesNotExistException.prototype);
    }
}
exports.DeploymentDoesNotExistException = DeploymentDoesNotExistException;
class DeploymentIdRequiredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentIdRequiredException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentIdRequiredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentIdRequiredException.prototype);
    }
}
exports.DeploymentIdRequiredException = DeploymentIdRequiredException;
class InstanceIdRequiredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InstanceIdRequiredException",
            $fault: "client",
            ...opts,
        });
        this.name = "InstanceIdRequiredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InstanceIdRequiredException.prototype);
    }
}
exports.InstanceIdRequiredException = InstanceIdRequiredException;
class InvalidComputePlatformException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidComputePlatformException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidComputePlatformException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidComputePlatformException.prototype);
    }
}
exports.InvalidComputePlatformException = InvalidComputePlatformException;
class InvalidDeploymentIdException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidDeploymentIdException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDeploymentIdException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDeploymentIdException.prototype);
    }
}
exports.InvalidDeploymentIdException = InvalidDeploymentIdException;
var BatchGetDeploymentsInput;
(function (BatchGetDeploymentsInput) {
    BatchGetDeploymentsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetDeploymentsInput = exports.BatchGetDeploymentsInput || (exports.BatchGetDeploymentsInput = {}));
var DeploymentCreator;
(function (DeploymentCreator) {
    DeploymentCreator["Autoscaling"] = "autoscaling";
    DeploymentCreator["CloudFormation"] = "CloudFormation";
    DeploymentCreator["CloudFormationRollback"] = "CloudFormationRollback";
    DeploymentCreator["CodeDeploy"] = "CodeDeploy";
    DeploymentCreator["CodeDeployAutoUpdate"] = "CodeDeployAutoUpdate";
    DeploymentCreator["CodeDeployRollback"] = "codeDeployRollback";
    DeploymentCreator["User"] = "user";
})(DeploymentCreator = exports.DeploymentCreator || (exports.DeploymentCreator = {}));
var DeploymentOverview;
(function (DeploymentOverview) {
    DeploymentOverview.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeploymentOverview = exports.DeploymentOverview || (exports.DeploymentOverview = {}));
var ErrorCode;
(function (ErrorCode) {
    ErrorCode["AGENT_ISSUE"] = "AGENT_ISSUE";
    ErrorCode["ALARM_ACTIVE"] = "ALARM_ACTIVE";
    ErrorCode["APPLICATION_MISSING"] = "APPLICATION_MISSING";
    ErrorCode["AUTOSCALING_VALIDATION_ERROR"] = "AUTOSCALING_VALIDATION_ERROR";
    ErrorCode["AUTO_SCALING_CONFIGURATION"] = "AUTO_SCALING_CONFIGURATION";
    ErrorCode["AUTO_SCALING_IAM_ROLE_PERMISSIONS"] = "AUTO_SCALING_IAM_ROLE_PERMISSIONS";
    ErrorCode["CLOUDFORMATION_STACK_FAILURE"] = "CLOUDFORMATION_STACK_FAILURE";
    ErrorCode["CODEDEPLOY_RESOURCE_CANNOT_BE_FOUND"] = "CODEDEPLOY_RESOURCE_CANNOT_BE_FOUND";
    ErrorCode["CUSTOMER_APPLICATION_UNHEALTHY"] = "CUSTOMER_APPLICATION_UNHEALTHY";
    ErrorCode["DEPLOYMENT_GROUP_MISSING"] = "DEPLOYMENT_GROUP_MISSING";
    ErrorCode["ECS_UPDATE_ERROR"] = "ECS_UPDATE_ERROR";
    ErrorCode["ELASTIC_LOAD_BALANCING_INVALID"] = "ELASTIC_LOAD_BALANCING_INVALID";
    ErrorCode["ELB_INVALID_INSTANCE"] = "ELB_INVALID_INSTANCE";
    ErrorCode["HEALTH_CONSTRAINTS"] = "HEALTH_CONSTRAINTS";
    ErrorCode["HEALTH_CONSTRAINTS_INVALID"] = "HEALTH_CONSTRAINTS_INVALID";
    ErrorCode["HOOK_EXECUTION_FAILURE"] = "HOOK_EXECUTION_FAILURE";
    ErrorCode["IAM_ROLE_MISSING"] = "IAM_ROLE_MISSING";
    ErrorCode["IAM_ROLE_PERMISSIONS"] = "IAM_ROLE_PERMISSIONS";
    ErrorCode["INTERNAL_ERROR"] = "INTERNAL_ERROR";
    ErrorCode["INVALID_ECS_SERVICE"] = "INVALID_ECS_SERVICE";
    ErrorCode["INVALID_LAMBDA_CONFIGURATION"] = "INVALID_LAMBDA_CONFIGURATION";
    ErrorCode["INVALID_LAMBDA_FUNCTION"] = "INVALID_LAMBDA_FUNCTION";
    ErrorCode["INVALID_REVISION"] = "INVALID_REVISION";
    ErrorCode["MANUAL_STOP"] = "MANUAL_STOP";
    ErrorCode["MISSING_BLUE_GREEN_DEPLOYMENT_CONFIGURATION"] = "MISSING_BLUE_GREEN_DEPLOYMENT_CONFIGURATION";
    ErrorCode["MISSING_ELB_INFORMATION"] = "MISSING_ELB_INFORMATION";
    ErrorCode["MISSING_GITHUB_TOKEN"] = "MISSING_GITHUB_TOKEN";
    ErrorCode["NO_EC2_SUBSCRIPTION"] = "NO_EC2_SUBSCRIPTION";
    ErrorCode["NO_INSTANCES"] = "NO_INSTANCES";
    ErrorCode["OVER_MAX_INSTANCES"] = "OVER_MAX_INSTANCES";
    ErrorCode["RESOURCE_LIMIT_EXCEEDED"] = "RESOURCE_LIMIT_EXCEEDED";
    ErrorCode["REVISION_MISSING"] = "REVISION_MISSING";
    ErrorCode["THROTTLED"] = "THROTTLED";
    ErrorCode["TIMEOUT"] = "TIMEOUT";
})(ErrorCode = exports.ErrorCode || (exports.ErrorCode = {}));
var ErrorInformation;
(function (ErrorInformation) {
    ErrorInformation.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ErrorInformation = exports.ErrorInformation || (exports.ErrorInformation = {}));
var FileExistsBehavior;
(function (FileExistsBehavior) {
    FileExistsBehavior["DISALLOW"] = "DISALLOW";
    FileExistsBehavior["OVERWRITE"] = "OVERWRITE";
    FileExistsBehavior["RETAIN"] = "RETAIN";
})(FileExistsBehavior = exports.FileExistsBehavior || (exports.FileExistsBehavior = {}));
var RelatedDeployments;
(function (RelatedDeployments) {
    RelatedDeployments.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RelatedDeployments = exports.RelatedDeployments || (exports.RelatedDeployments = {}));
var RollbackInfo;
(function (RollbackInfo) {
    RollbackInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RollbackInfo = exports.RollbackInfo || (exports.RollbackInfo = {}));
var TargetInstances;
(function (TargetInstances) {
    TargetInstances.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TargetInstances = exports.TargetInstances || (exports.TargetInstances = {}));
var DeploymentInfo;
(function (DeploymentInfo) {
    DeploymentInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeploymentInfo = exports.DeploymentInfo || (exports.DeploymentInfo = {}));
var BatchGetDeploymentsOutput;
(function (BatchGetDeploymentsOutput) {
    BatchGetDeploymentsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetDeploymentsOutput = exports.BatchGetDeploymentsOutput || (exports.BatchGetDeploymentsOutput = {}));
var BatchGetDeploymentTargetsInput;
(function (BatchGetDeploymentTargetsInput) {
    BatchGetDeploymentTargetsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetDeploymentTargetsInput = exports.BatchGetDeploymentTargetsInput || (exports.BatchGetDeploymentTargetsInput = {}));
var TargetStatus;
(function (TargetStatus) {
    TargetStatus["FAILED"] = "Failed";
    TargetStatus["IN_PROGRESS"] = "InProgress";
    TargetStatus["PENDING"] = "Pending";
    TargetStatus["READY"] = "Ready";
    TargetStatus["SKIPPED"] = "Skipped";
    TargetStatus["SUCCEEDED"] = "Succeeded";
    TargetStatus["UNKNOWN"] = "Unknown";
})(TargetStatus = exports.TargetStatus || (exports.TargetStatus = {}));
var CloudFormationTarget;
(function (CloudFormationTarget) {
    CloudFormationTarget.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CloudFormationTarget = exports.CloudFormationTarget || (exports.CloudFormationTarget = {}));
var DeploymentTargetType;
(function (DeploymentTargetType) {
    DeploymentTargetType["CLOUDFORMATION_TARGET"] = "CloudFormationTarget";
    DeploymentTargetType["ECS_TARGET"] = "ECSTarget";
    DeploymentTargetType["INSTANCE_TARGET"] = "InstanceTarget";
    DeploymentTargetType["LAMBDA_TARGET"] = "LambdaTarget";
})(DeploymentTargetType = exports.DeploymentTargetType || (exports.DeploymentTargetType = {}));
var TargetLabel;
(function (TargetLabel) {
    TargetLabel["BLUE"] = "Blue";
    TargetLabel["GREEN"] = "Green";
})(TargetLabel = exports.TargetLabel || (exports.TargetLabel = {}));
var ECSTaskSet;
(function (ECSTaskSet) {
    ECSTaskSet.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ECSTaskSet = exports.ECSTaskSet || (exports.ECSTaskSet = {}));
var ECSTarget;
(function (ECSTarget) {
    ECSTarget.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ECSTarget = exports.ECSTarget || (exports.ECSTarget = {}));
var InstanceTarget;
(function (InstanceTarget) {
    InstanceTarget.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(InstanceTarget = exports.InstanceTarget || (exports.InstanceTarget = {}));
var LambdaFunctionInfo;
(function (LambdaFunctionInfo) {
    LambdaFunctionInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LambdaFunctionInfo = exports.LambdaFunctionInfo || (exports.LambdaFunctionInfo = {}));
var LambdaTarget;
(function (LambdaTarget) {
    LambdaTarget.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LambdaTarget = exports.LambdaTarget || (exports.LambdaTarget = {}));
var DeploymentTarget;
(function (DeploymentTarget) {
    DeploymentTarget.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeploymentTarget = exports.DeploymentTarget || (exports.DeploymentTarget = {}));
var BatchGetDeploymentTargetsOutput;
(function (BatchGetDeploymentTargetsOutput) {
    BatchGetDeploymentTargetsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetDeploymentTargetsOutput = exports.BatchGetDeploymentTargetsOutput || (exports.BatchGetDeploymentTargetsOutput = {}));
class DeploymentNotStartedException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentNotStartedException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentNotStartedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentNotStartedException.prototype);
    }
}
exports.DeploymentNotStartedException = DeploymentNotStartedException;
class DeploymentTargetDoesNotExistException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentTargetDoesNotExistException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentTargetDoesNotExistException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentTargetDoesNotExistException.prototype);
    }
}
exports.DeploymentTargetDoesNotExistException = DeploymentTargetDoesNotExistException;
class DeploymentTargetIdRequiredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentTargetIdRequiredException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentTargetIdRequiredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentTargetIdRequiredException.prototype);
    }
}
exports.DeploymentTargetIdRequiredException = DeploymentTargetIdRequiredException;
class DeploymentTargetListSizeExceededException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentTargetListSizeExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentTargetListSizeExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentTargetListSizeExceededException.prototype);
    }
}
exports.DeploymentTargetListSizeExceededException = DeploymentTargetListSizeExceededException;
class InstanceDoesNotExistException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InstanceDoesNotExistException",
            $fault: "client",
            ...opts,
        });
        this.name = "InstanceDoesNotExistException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InstanceDoesNotExistException.prototype);
    }
}
exports.InstanceDoesNotExistException = InstanceDoesNotExistException;
class InvalidDeploymentTargetIdException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidDeploymentTargetIdException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDeploymentTargetIdException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDeploymentTargetIdException.prototype);
    }
}
exports.InvalidDeploymentTargetIdException = InvalidDeploymentTargetIdException;
var BatchGetOnPremisesInstancesInput;
(function (BatchGetOnPremisesInstancesInput) {
    BatchGetOnPremisesInstancesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetOnPremisesInstancesInput = exports.BatchGetOnPremisesInstancesInput || (exports.BatchGetOnPremisesInstancesInput = {}));
var InstanceInfo;
(function (InstanceInfo) {
    InstanceInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(InstanceInfo = exports.InstanceInfo || (exports.InstanceInfo = {}));
var BatchGetOnPremisesInstancesOutput;
(function (BatchGetOnPremisesInstancesOutput) {
    BatchGetOnPremisesInstancesOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetOnPremisesInstancesOutput = exports.BatchGetOnPremisesInstancesOutput || (exports.BatchGetOnPremisesInstancesOutput = {}));
class BucketNameFilterRequiredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "BucketNameFilterRequiredException",
            $fault: "client",
            ...opts,
        });
        this.name = "BucketNameFilterRequiredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, BucketNameFilterRequiredException.prototype);
    }
}
exports.BucketNameFilterRequiredException = BucketNameFilterRequiredException;
var DeploymentWaitType;
(function (DeploymentWaitType) {
    DeploymentWaitType["READY_WAIT"] = "READY_WAIT";
    DeploymentWaitType["TERMINATION_WAIT"] = "TERMINATION_WAIT";
})(DeploymentWaitType = exports.DeploymentWaitType || (exports.DeploymentWaitType = {}));
var ContinueDeploymentInput;
(function (ContinueDeploymentInput) {
    ContinueDeploymentInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ContinueDeploymentInput = exports.ContinueDeploymentInput || (exports.ContinueDeploymentInput = {}));
class DeploymentAlreadyCompletedException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentAlreadyCompletedException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentAlreadyCompletedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentAlreadyCompletedException.prototype);
    }
}
exports.DeploymentAlreadyCompletedException = DeploymentAlreadyCompletedException;
class DeploymentIsNotInReadyStateException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentIsNotInReadyStateException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentIsNotInReadyStateException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentIsNotInReadyStateException.prototype);
    }
}
exports.DeploymentIsNotInReadyStateException = DeploymentIsNotInReadyStateException;
class InvalidDeploymentStatusException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidDeploymentStatusException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDeploymentStatusException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDeploymentStatusException.prototype);
    }
}
exports.InvalidDeploymentStatusException = InvalidDeploymentStatusException;
class InvalidDeploymentWaitTypeException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidDeploymentWaitTypeException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDeploymentWaitTypeException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDeploymentWaitTypeException.prototype);
    }
}
exports.InvalidDeploymentWaitTypeException = InvalidDeploymentWaitTypeException;
class UnsupportedActionForDeploymentTypeException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "UnsupportedActionForDeploymentTypeException",
            $fault: "client",
            ...opts,
        });
        this.name = "UnsupportedActionForDeploymentTypeException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UnsupportedActionForDeploymentTypeException.prototype);
    }
}
exports.UnsupportedActionForDeploymentTypeException = UnsupportedActionForDeploymentTypeException;
var CreateApplicationInput;
(function (CreateApplicationInput) {
    CreateApplicationInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateApplicationInput = exports.CreateApplicationInput || (exports.CreateApplicationInput = {}));
var CreateApplicationOutput;
(function (CreateApplicationOutput) {
    CreateApplicationOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateApplicationOutput = exports.CreateApplicationOutput || (exports.CreateApplicationOutput = {}));
class InvalidTagsToAddException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidTagsToAddException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidTagsToAddException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidTagsToAddException.prototype);
    }
}
exports.InvalidTagsToAddException = InvalidTagsToAddException;
var CreateDeploymentInput;
(function (CreateDeploymentInput) {
    CreateDeploymentInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateDeploymentInput = exports.CreateDeploymentInput || (exports.CreateDeploymentInput = {}));
var CreateDeploymentOutput;
(function (CreateDeploymentOutput) {
    CreateDeploymentOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateDeploymentOutput = exports.CreateDeploymentOutput || (exports.CreateDeploymentOutput = {}));
class DeploymentGroupDoesNotExistException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentGroupDoesNotExistException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentGroupDoesNotExistException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentGroupDoesNotExistException.prototype);
    }
}
exports.DeploymentGroupDoesNotExistException = DeploymentGroupDoesNotExistException;
class DeploymentLimitExceededException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentLimitExceededException.prototype);
    }
}
exports.DeploymentLimitExceededException = DeploymentLimitExceededException;
class DescriptionTooLongException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DescriptionTooLongException",
            $fault: "client",
            ...opts,
        });
        this.name = "DescriptionTooLongException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DescriptionTooLongException.prototype);
    }
}
exports.DescriptionTooLongException = DescriptionTooLongException;
class InvalidAutoRollbackConfigException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidAutoRollbackConfigException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidAutoRollbackConfigException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidAutoRollbackConfigException.prototype);
    }
}
exports.InvalidAutoRollbackConfigException = InvalidAutoRollbackConfigException;
class InvalidAutoScalingGroupException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidAutoScalingGroupException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidAutoScalingGroupException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidAutoScalingGroupException.prototype);
    }
}
exports.InvalidAutoScalingGroupException = InvalidAutoScalingGroupException;
class InvalidDeploymentConfigNameException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidDeploymentConfigNameException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDeploymentConfigNameException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDeploymentConfigNameException.prototype);
    }
}
exports.InvalidDeploymentConfigNameException = InvalidDeploymentConfigNameException;
class InvalidFileExistsBehaviorException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidFileExistsBehaviorException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidFileExistsBehaviorException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidFileExistsBehaviorException.prototype);
    }
}
exports.InvalidFileExistsBehaviorException = InvalidFileExistsBehaviorException;
class InvalidGitHubAccountTokenException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidGitHubAccountTokenException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidGitHubAccountTokenException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidGitHubAccountTokenException.prototype);
    }
}
exports.InvalidGitHubAccountTokenException = InvalidGitHubAccountTokenException;
class InvalidIgnoreApplicationStopFailuresValueException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidIgnoreApplicationStopFailuresValueException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidIgnoreApplicationStopFailuresValueException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidIgnoreApplicationStopFailuresValueException.prototype);
    }
}
exports.InvalidIgnoreApplicationStopFailuresValueException = InvalidIgnoreApplicationStopFailuresValueException;
class InvalidLoadBalancerInfoException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidLoadBalancerInfoException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidLoadBalancerInfoException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidLoadBalancerInfoException.prototype);
    }
}
exports.InvalidLoadBalancerInfoException = InvalidLoadBalancerInfoException;
class InvalidRoleException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidRoleException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidRoleException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidRoleException.prototype);
    }
}
exports.InvalidRoleException = InvalidRoleException;
class InvalidTargetInstancesException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidTargetInstancesException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidTargetInstancesException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidTargetInstancesException.prototype);
    }
}
exports.InvalidTargetInstancesException = InvalidTargetInstancesException;
class InvalidTrafficRoutingConfigurationException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidTrafficRoutingConfigurationException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidTrafficRoutingConfigurationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidTrafficRoutingConfigurationException.prototype);
    }
}
exports.InvalidTrafficRoutingConfigurationException = InvalidTrafficRoutingConfigurationException;
class InvalidUpdateOutdatedInstancesOnlyValueException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidUpdateOutdatedInstancesOnlyValueException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidUpdateOutdatedInstancesOnlyValueException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidUpdateOutdatedInstancesOnlyValueException.prototype);
    }
}
exports.InvalidUpdateOutdatedInstancesOnlyValueException = InvalidUpdateOutdatedInstancesOnlyValueException;
class RevisionDoesNotExistException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "RevisionDoesNotExistException",
            $fault: "client",
            ...opts,
        });
        this.name = "RevisionDoesNotExistException";
        this.$fault = "client";
        Object.setPrototypeOf(this, RevisionDoesNotExistException.prototype);
    }
}
exports.RevisionDoesNotExistException = RevisionDoesNotExistException;
class ThrottlingException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "ThrottlingException",
            $fault: "client",
            ...opts,
        });
        this.name = "ThrottlingException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ThrottlingException.prototype);
    }
}
exports.ThrottlingException = ThrottlingException;
var MinimumHealthyHosts;
(function (MinimumHealthyHosts) {
    MinimumHealthyHosts.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MinimumHealthyHosts = exports.MinimumHealthyHosts || (exports.MinimumHealthyHosts = {}));
var TimeBasedCanary;
(function (TimeBasedCanary) {
    TimeBasedCanary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TimeBasedCanary = exports.TimeBasedCanary || (exports.TimeBasedCanary = {}));
var TimeBasedLinear;
(function (TimeBasedLinear) {
    TimeBasedLinear.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TimeBasedLinear = exports.TimeBasedLinear || (exports.TimeBasedLinear = {}));
var TrafficRoutingType;
(function (TrafficRoutingType) {
    TrafficRoutingType["AllAtOnce"] = "AllAtOnce";
    TrafficRoutingType["TimeBasedCanary"] = "TimeBasedCanary";
    TrafficRoutingType["TimeBasedLinear"] = "TimeBasedLinear";
})(TrafficRoutingType = exports.TrafficRoutingType || (exports.TrafficRoutingType = {}));
var TrafficRoutingConfig;
(function (TrafficRoutingConfig) {
    TrafficRoutingConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TrafficRoutingConfig = exports.TrafficRoutingConfig || (exports.TrafficRoutingConfig = {}));
var CreateDeploymentConfigInput;
(function (CreateDeploymentConfigInput) {
    CreateDeploymentConfigInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateDeploymentConfigInput = exports.CreateDeploymentConfigInput || (exports.CreateDeploymentConfigInput = {}));
var CreateDeploymentConfigOutput;
(function (CreateDeploymentConfigOutput) {
    CreateDeploymentConfigOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateDeploymentConfigOutput = exports.CreateDeploymentConfigOutput || (exports.CreateDeploymentConfigOutput = {}));
class DeploymentConfigAlreadyExistsException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentConfigAlreadyExistsException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentConfigAlreadyExistsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentConfigAlreadyExistsException.prototype);
    }
}
exports.DeploymentConfigAlreadyExistsException = DeploymentConfigAlreadyExistsException;
class DeploymentConfigLimitExceededException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentConfigLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentConfigLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentConfigLimitExceededException.prototype);
    }
}
exports.DeploymentConfigLimitExceededException = DeploymentConfigLimitExceededException;
class DeploymentConfigNameRequiredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentConfigNameRequiredException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentConfigNameRequiredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentConfigNameRequiredException.prototype);
    }
}
exports.DeploymentConfigNameRequiredException = DeploymentConfigNameRequiredException;
class InvalidMinimumHealthyHostValueException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidMinimumHealthyHostValueException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidMinimumHealthyHostValueException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidMinimumHealthyHostValueException.prototype);
    }
}
exports.InvalidMinimumHealthyHostValueException = InvalidMinimumHealthyHostValueException;
var CreateDeploymentGroupInput;
(function (CreateDeploymentGroupInput) {
    CreateDeploymentGroupInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateDeploymentGroupInput = exports.CreateDeploymentGroupInput || (exports.CreateDeploymentGroupInput = {}));
var CreateDeploymentGroupOutput;
(function (CreateDeploymentGroupOutput) {
    CreateDeploymentGroupOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateDeploymentGroupOutput = exports.CreateDeploymentGroupOutput || (exports.CreateDeploymentGroupOutput = {}));
class DeploymentGroupAlreadyExistsException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentGroupAlreadyExistsException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentGroupAlreadyExistsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentGroupAlreadyExistsException.prototype);
    }
}
exports.DeploymentGroupAlreadyExistsException = DeploymentGroupAlreadyExistsException;
class DeploymentGroupLimitExceededException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentGroupLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentGroupLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentGroupLimitExceededException.prototype);
    }
}
exports.DeploymentGroupLimitExceededException = DeploymentGroupLimitExceededException;
class ECSServiceMappingLimitExceededException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "ECSServiceMappingLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "ECSServiceMappingLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ECSServiceMappingLimitExceededException.prototype);
    }
}
exports.ECSServiceMappingLimitExceededException = ECSServiceMappingLimitExceededException;
class InvalidAlarmConfigException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidAlarmConfigException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidAlarmConfigException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidAlarmConfigException.prototype);
    }
}
exports.InvalidAlarmConfigException = InvalidAlarmConfigException;
class InvalidBlueGreenDeploymentConfigurationException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidBlueGreenDeploymentConfigurationException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidBlueGreenDeploymentConfigurationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidBlueGreenDeploymentConfigurationException.prototype);
    }
}
exports.InvalidBlueGreenDeploymentConfigurationException = InvalidBlueGreenDeploymentConfigurationException;
class InvalidDeploymentStyleException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidDeploymentStyleException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDeploymentStyleException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDeploymentStyleException.prototype);
    }
}
exports.InvalidDeploymentStyleException = InvalidDeploymentStyleException;
class InvalidEC2TagCombinationException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidEC2TagCombinationException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidEC2TagCombinationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidEC2TagCombinationException.prototype);
    }
}
exports.InvalidEC2TagCombinationException = InvalidEC2TagCombinationException;
class InvalidEC2TagException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidEC2TagException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidEC2TagException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidEC2TagException.prototype);
    }
}
exports.InvalidEC2TagException = InvalidEC2TagException;
class InvalidECSServiceException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidECSServiceException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidECSServiceException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidECSServiceException.prototype);
    }
}
exports.InvalidECSServiceException = InvalidECSServiceException;
class InvalidInputException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidInputException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidInputException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidInputException.prototype);
    }
}
exports.InvalidInputException = InvalidInputException;
class InvalidOnPremisesTagCombinationException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidOnPremisesTagCombinationException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidOnPremisesTagCombinationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidOnPremisesTagCombinationException.prototype);
    }
}
exports.InvalidOnPremisesTagCombinationException = InvalidOnPremisesTagCombinationException;
class InvalidTargetGroupPairException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidTargetGroupPairException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidTargetGroupPairException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidTargetGroupPairException.prototype);
    }
}
exports.InvalidTargetGroupPairException = InvalidTargetGroupPairException;
class InvalidTriggerConfigException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidTriggerConfigException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidTriggerConfigException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidTriggerConfigException.prototype);
    }
}
exports.InvalidTriggerConfigException = InvalidTriggerConfigException;
class LifecycleHookLimitExceededException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "LifecycleHookLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "LifecycleHookLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, LifecycleHookLimitExceededException.prototype);
    }
}
exports.LifecycleHookLimitExceededException = LifecycleHookLimitExceededException;
class RoleRequiredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "RoleRequiredException",
            $fault: "client",
            ...opts,
        });
        this.name = "RoleRequiredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, RoleRequiredException.prototype);
    }
}
exports.RoleRequiredException = RoleRequiredException;
class TagSetListLimitExceededException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "TagSetListLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "TagSetListLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TagSetListLimitExceededException.prototype);
    }
}
exports.TagSetListLimitExceededException = TagSetListLimitExceededException;
class TriggerTargetsLimitExceededException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "TriggerTargetsLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "TriggerTargetsLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TriggerTargetsLimitExceededException.prototype);
    }
}
exports.TriggerTargetsLimitExceededException = TriggerTargetsLimitExceededException;
var DeleteApplicationInput;
(function (DeleteApplicationInput) {
    DeleteApplicationInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteApplicationInput = exports.DeleteApplicationInput || (exports.DeleteApplicationInput = {}));
var DeleteDeploymentConfigInput;
(function (DeleteDeploymentConfigInput) {
    DeleteDeploymentConfigInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteDeploymentConfigInput = exports.DeleteDeploymentConfigInput || (exports.DeleteDeploymentConfigInput = {}));
class DeploymentConfigInUseException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "DeploymentConfigInUseException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeploymentConfigInUseException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeploymentConfigInUseException.prototype);
    }
}
exports.DeploymentConfigInUseException = DeploymentConfigInUseException;
class InvalidOperationException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidOperationException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidOperationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidOperationException.prototype);
    }
}
exports.InvalidOperationException = InvalidOperationException;
var DeleteDeploymentGroupInput;
(function (DeleteDeploymentGroupInput) {
    DeleteDeploymentGroupInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteDeploymentGroupInput = exports.DeleteDeploymentGroupInput || (exports.DeleteDeploymentGroupInput = {}));
var DeleteDeploymentGroupOutput;
(function (DeleteDeploymentGroupOutput) {
    DeleteDeploymentGroupOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteDeploymentGroupOutput = exports.DeleteDeploymentGroupOutput || (exports.DeleteDeploymentGroupOutput = {}));
var DeleteGitHubAccountTokenInput;
(function (DeleteGitHubAccountTokenInput) {
    DeleteGitHubAccountTokenInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteGitHubAccountTokenInput = exports.DeleteGitHubAccountTokenInput || (exports.DeleteGitHubAccountTokenInput = {}));
var DeleteGitHubAccountTokenOutput;
(function (DeleteGitHubAccountTokenOutput) {
    DeleteGitHubAccountTokenOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteGitHubAccountTokenOutput = exports.DeleteGitHubAccountTokenOutput || (exports.DeleteGitHubAccountTokenOutput = {}));
class GitHubAccountTokenDoesNotExistException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "GitHubAccountTokenDoesNotExistException",
            $fault: "client",
            ...opts,
        });
        this.name = "GitHubAccountTokenDoesNotExistException";
        this.$fault = "client";
        Object.setPrototypeOf(this, GitHubAccountTokenDoesNotExistException.prototype);
    }
}
exports.GitHubAccountTokenDoesNotExistException = GitHubAccountTokenDoesNotExistException;
class GitHubAccountTokenNameRequiredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "GitHubAccountTokenNameRequiredException",
            $fault: "client",
            ...opts,
        });
        this.name = "GitHubAccountTokenNameRequiredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, GitHubAccountTokenNameRequiredException.prototype);
    }
}
exports.GitHubAccountTokenNameRequiredException = GitHubAccountTokenNameRequiredException;
class InvalidGitHubAccountTokenNameException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidGitHubAccountTokenNameException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidGitHubAccountTokenNameException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidGitHubAccountTokenNameException.prototype);
    }
}
exports.InvalidGitHubAccountTokenNameException = InvalidGitHubAccountTokenNameException;
class OperationNotSupportedException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "OperationNotSupportedException",
            $fault: "client",
            ...opts,
        });
        this.name = "OperationNotSupportedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, OperationNotSupportedException.prototype);
    }
}
exports.OperationNotSupportedException = OperationNotSupportedException;
class ResourceValidationException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "ResourceValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceValidationException.prototype);
    }
}
exports.ResourceValidationException = ResourceValidationException;
var DeleteResourcesByExternalIdInput;
(function (DeleteResourcesByExternalIdInput) {
    DeleteResourcesByExternalIdInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteResourcesByExternalIdInput = exports.DeleteResourcesByExternalIdInput || (exports.DeleteResourcesByExternalIdInput = {}));
var DeleteResourcesByExternalIdOutput;
(function (DeleteResourcesByExternalIdOutput) {
    DeleteResourcesByExternalIdOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteResourcesByExternalIdOutput = exports.DeleteResourcesByExternalIdOutput || (exports.DeleteResourcesByExternalIdOutput = {}));
var DeregisterOnPremisesInstanceInput;
(function (DeregisterOnPremisesInstanceInput) {
    DeregisterOnPremisesInstanceInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeregisterOnPremisesInstanceInput = exports.DeregisterOnPremisesInstanceInput || (exports.DeregisterOnPremisesInstanceInput = {}));
var GetApplicationInput;
(function (GetApplicationInput) {
    GetApplicationInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetApplicationInput = exports.GetApplicationInput || (exports.GetApplicationInput = {}));
var GetApplicationOutput;
(function (GetApplicationOutput) {
    GetApplicationOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetApplicationOutput = exports.GetApplicationOutput || (exports.GetApplicationOutput = {}));
var GetApplicationRevisionInput;
(function (GetApplicationRevisionInput) {
    GetApplicationRevisionInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetApplicationRevisionInput = exports.GetApplicationRevisionInput || (exports.GetApplicationRevisionInput = {}));
var GetApplicationRevisionOutput;
(function (GetApplicationRevisionOutput) {
    GetApplicationRevisionOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetApplicationRevisionOutput = exports.GetApplicationRevisionOutput || (exports.GetApplicationRevisionOutput = {}));
var GetDeploymentInput;
(function (GetDeploymentInput) {
    GetDeploymentInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetDeploymentInput = exports.GetDeploymentInput || (exports.GetDeploymentInput = {}));
var GetDeploymentOutput;
(function (GetDeploymentOutput) {
    GetDeploymentOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetDeploymentOutput = exports.GetDeploymentOutput || (exports.GetDeploymentOutput = {}));
var GetDeploymentConfigInput;
(function (GetDeploymentConfigInput) {
    GetDeploymentConfigInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetDeploymentConfigInput = exports.GetDeploymentConfigInput || (exports.GetDeploymentConfigInput = {}));
var DeploymentConfigInfo;
(function (DeploymentConfigInfo) {
    DeploymentConfigInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeploymentConfigInfo = exports.DeploymentConfigInfo || (exports.DeploymentConfigInfo = {}));
var GetDeploymentConfigOutput;
(function (GetDeploymentConfigOutput) {
    GetDeploymentConfigOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetDeploymentConfigOutput = exports.GetDeploymentConfigOutput || (exports.GetDeploymentConfigOutput = {}));
var GetDeploymentGroupInput;
(function (GetDeploymentGroupInput) {
    GetDeploymentGroupInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetDeploymentGroupInput = exports.GetDeploymentGroupInput || (exports.GetDeploymentGroupInput = {}));
var GetDeploymentGroupOutput;
(function (GetDeploymentGroupOutput) {
    GetDeploymentGroupOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetDeploymentGroupOutput = exports.GetDeploymentGroupOutput || (exports.GetDeploymentGroupOutput = {}));
var GetDeploymentInstanceInput;
(function (GetDeploymentInstanceInput) {
    GetDeploymentInstanceInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetDeploymentInstanceInput = exports.GetDeploymentInstanceInput || (exports.GetDeploymentInstanceInput = {}));
var GetDeploymentInstanceOutput;
(function (GetDeploymentInstanceOutput) {
    GetDeploymentInstanceOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetDeploymentInstanceOutput = exports.GetDeploymentInstanceOutput || (exports.GetDeploymentInstanceOutput = {}));
var GetDeploymentTargetInput;
(function (GetDeploymentTargetInput) {
    GetDeploymentTargetInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetDeploymentTargetInput = exports.GetDeploymentTargetInput || (exports.GetDeploymentTargetInput = {}));
var GetDeploymentTargetOutput;
(function (GetDeploymentTargetOutput) {
    GetDeploymentTargetOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetDeploymentTargetOutput = exports.GetDeploymentTargetOutput || (exports.GetDeploymentTargetOutput = {}));
var GetOnPremisesInstanceInput;
(function (GetOnPremisesInstanceInput) {
    GetOnPremisesInstanceInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetOnPremisesInstanceInput = exports.GetOnPremisesInstanceInput || (exports.GetOnPremisesInstanceInput = {}));
var GetOnPremisesInstanceOutput;
(function (GetOnPremisesInstanceOutput) {
    GetOnPremisesInstanceOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetOnPremisesInstanceOutput = exports.GetOnPremisesInstanceOutput || (exports.GetOnPremisesInstanceOutput = {}));
class InvalidBucketNameFilterException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidBucketNameFilterException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidBucketNameFilterException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidBucketNameFilterException.prototype);
    }
}
exports.InvalidBucketNameFilterException = InvalidBucketNameFilterException;
class InvalidDeployedStateFilterException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidDeployedStateFilterException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDeployedStateFilterException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDeployedStateFilterException.prototype);
    }
}
exports.InvalidDeployedStateFilterException = InvalidDeployedStateFilterException;
class InvalidKeyPrefixFilterException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidKeyPrefixFilterException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidKeyPrefixFilterException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidKeyPrefixFilterException.prototype);
    }
}
exports.InvalidKeyPrefixFilterException = InvalidKeyPrefixFilterException;
class InvalidNextTokenException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidNextTokenException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidNextTokenException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidNextTokenException.prototype);
    }
}
exports.InvalidNextTokenException = InvalidNextTokenException;
class InvalidSortByException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidSortByException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidSortByException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidSortByException.prototype);
    }
}
exports.InvalidSortByException = InvalidSortByException;
class InvalidSortOrderException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidSortOrderException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidSortOrderException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidSortOrderException.prototype);
    }
}
exports.InvalidSortOrderException = InvalidSortOrderException;
var ListStateFilterAction;
(function (ListStateFilterAction) {
    ListStateFilterAction["Exclude"] = "exclude";
    ListStateFilterAction["Ignore"] = "ignore";
    ListStateFilterAction["Include"] = "include";
})(ListStateFilterAction = exports.ListStateFilterAction || (exports.ListStateFilterAction = {}));
var SortOrder;
(function (SortOrder) {
    SortOrder["Ascending"] = "ascending";
    SortOrder["Descending"] = "descending";
})(SortOrder = exports.SortOrder || (exports.SortOrder = {}));
var ListApplicationRevisionsInput;
(function (ListApplicationRevisionsInput) {
    ListApplicationRevisionsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListApplicationRevisionsInput = exports.ListApplicationRevisionsInput || (exports.ListApplicationRevisionsInput = {}));
var ListApplicationRevisionsOutput;
(function (ListApplicationRevisionsOutput) {
    ListApplicationRevisionsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListApplicationRevisionsOutput = exports.ListApplicationRevisionsOutput || (exports.ListApplicationRevisionsOutput = {}));
var ListApplicationsInput;
(function (ListApplicationsInput) {
    ListApplicationsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListApplicationsInput = exports.ListApplicationsInput || (exports.ListApplicationsInput = {}));
var ListApplicationsOutput;
(function (ListApplicationsOutput) {
    ListApplicationsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListApplicationsOutput = exports.ListApplicationsOutput || (exports.ListApplicationsOutput = {}));
var ListDeploymentConfigsInput;
(function (ListDeploymentConfigsInput) {
    ListDeploymentConfigsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListDeploymentConfigsInput = exports.ListDeploymentConfigsInput || (exports.ListDeploymentConfigsInput = {}));
var ListDeploymentConfigsOutput;
(function (ListDeploymentConfigsOutput) {
    ListDeploymentConfigsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListDeploymentConfigsOutput = exports.ListDeploymentConfigsOutput || (exports.ListDeploymentConfigsOutput = {}));
var ListDeploymentGroupsInput;
(function (ListDeploymentGroupsInput) {
    ListDeploymentGroupsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListDeploymentGroupsInput = exports.ListDeploymentGroupsInput || (exports.ListDeploymentGroupsInput = {}));
var ListDeploymentGroupsOutput;
(function (ListDeploymentGroupsOutput) {
    ListDeploymentGroupsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListDeploymentGroupsOutput = exports.ListDeploymentGroupsOutput || (exports.ListDeploymentGroupsOutput = {}));
class InvalidDeploymentInstanceTypeException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidDeploymentInstanceTypeException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDeploymentInstanceTypeException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDeploymentInstanceTypeException.prototype);
    }
}
exports.InvalidDeploymentInstanceTypeException = InvalidDeploymentInstanceTypeException;
class InvalidInstanceStatusException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidInstanceStatusException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidInstanceStatusException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidInstanceStatusException.prototype);
    }
}
exports.InvalidInstanceStatusException = InvalidInstanceStatusException;
class InvalidInstanceTypeException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidInstanceTypeException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidInstanceTypeException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidInstanceTypeException.prototype);
    }
}
exports.InvalidInstanceTypeException = InvalidInstanceTypeException;
class InvalidTargetFilterNameException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidTargetFilterNameException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidTargetFilterNameException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidTargetFilterNameException.prototype);
    }
}
exports.InvalidTargetFilterNameException = InvalidTargetFilterNameException;
var ListDeploymentInstancesInput;
(function (ListDeploymentInstancesInput) {
    ListDeploymentInstancesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListDeploymentInstancesInput = exports.ListDeploymentInstancesInput || (exports.ListDeploymentInstancesInput = {}));
var ListDeploymentInstancesOutput;
(function (ListDeploymentInstancesOutput) {
    ListDeploymentInstancesOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListDeploymentInstancesOutput = exports.ListDeploymentInstancesOutput || (exports.ListDeploymentInstancesOutput = {}));
class InvalidExternalIdException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidExternalIdException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidExternalIdException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidExternalIdException.prototype);
    }
}
exports.InvalidExternalIdException = InvalidExternalIdException;
class InvalidTimeRangeException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidTimeRangeException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidTimeRangeException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidTimeRangeException.prototype);
    }
}
exports.InvalidTimeRangeException = InvalidTimeRangeException;
var TimeRange;
(function (TimeRange) {
    TimeRange.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TimeRange = exports.TimeRange || (exports.TimeRange = {}));
var ListDeploymentsInput;
(function (ListDeploymentsInput) {
    ListDeploymentsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListDeploymentsInput = exports.ListDeploymentsInput || (exports.ListDeploymentsInput = {}));
var ListDeploymentsOutput;
(function (ListDeploymentsOutput) {
    ListDeploymentsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListDeploymentsOutput = exports.ListDeploymentsOutput || (exports.ListDeploymentsOutput = {}));
var TargetFilterName;
(function (TargetFilterName) {
    TargetFilterName["SERVER_INSTANCE_LABEL"] = "ServerInstanceLabel";
    TargetFilterName["TARGET_STATUS"] = "TargetStatus";
})(TargetFilterName = exports.TargetFilterName || (exports.TargetFilterName = {}));
var ListDeploymentTargetsInput;
(function (ListDeploymentTargetsInput) {
    ListDeploymentTargetsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListDeploymentTargetsInput = exports.ListDeploymentTargetsInput || (exports.ListDeploymentTargetsInput = {}));
var ListDeploymentTargetsOutput;
(function (ListDeploymentTargetsOutput) {
    ListDeploymentTargetsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListDeploymentTargetsOutput = exports.ListDeploymentTargetsOutput || (exports.ListDeploymentTargetsOutput = {}));
var ListGitHubAccountTokenNamesInput;
(function (ListGitHubAccountTokenNamesInput) {
    ListGitHubAccountTokenNamesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListGitHubAccountTokenNamesInput = exports.ListGitHubAccountTokenNamesInput || (exports.ListGitHubAccountTokenNamesInput = {}));
var ListGitHubAccountTokenNamesOutput;
(function (ListGitHubAccountTokenNamesOutput) {
    ListGitHubAccountTokenNamesOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListGitHubAccountTokenNamesOutput = exports.ListGitHubAccountTokenNamesOutput || (exports.ListGitHubAccountTokenNamesOutput = {}));
class InvalidRegistrationStatusException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidRegistrationStatusException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidRegistrationStatusException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidRegistrationStatusException.prototype);
    }
}
exports.InvalidRegistrationStatusException = InvalidRegistrationStatusException;
class InvalidTagFilterException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidTagFilterException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidTagFilterException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidTagFilterException.prototype);
    }
}
exports.InvalidTagFilterException = InvalidTagFilterException;
var RegistrationStatus;
(function (RegistrationStatus) {
    RegistrationStatus["Deregistered"] = "Deregistered";
    RegistrationStatus["Registered"] = "Registered";
})(RegistrationStatus = exports.RegistrationStatus || (exports.RegistrationStatus = {}));
var ListOnPremisesInstancesInput;
(function (ListOnPremisesInstancesInput) {
    ListOnPremisesInstancesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListOnPremisesInstancesInput = exports.ListOnPremisesInstancesInput || (exports.ListOnPremisesInstancesInput = {}));
var ListOnPremisesInstancesOutput;
(function (ListOnPremisesInstancesOutput) {
    ListOnPremisesInstancesOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListOnPremisesInstancesOutput = exports.ListOnPremisesInstancesOutput || (exports.ListOnPremisesInstancesOutput = {}));
class InvalidArnException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidArnException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidArnException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidArnException.prototype);
    }
}
exports.InvalidArnException = InvalidArnException;
var ListTagsForResourceInput;
(function (ListTagsForResourceInput) {
    ListTagsForResourceInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceInput = exports.ListTagsForResourceInput || (exports.ListTagsForResourceInput = {}));
var ListTagsForResourceOutput;
(function (ListTagsForResourceOutput) {
    ListTagsForResourceOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceOutput = exports.ListTagsForResourceOutput || (exports.ListTagsForResourceOutput = {}));
class ResourceArnRequiredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "ResourceArnRequiredException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceArnRequiredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceArnRequiredException.prototype);
    }
}
exports.ResourceArnRequiredException = ResourceArnRequiredException;
class InvalidLifecycleEventHookExecutionIdException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidLifecycleEventHookExecutionIdException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidLifecycleEventHookExecutionIdException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidLifecycleEventHookExecutionIdException.prototype);
    }
}
exports.InvalidLifecycleEventHookExecutionIdException = InvalidLifecycleEventHookExecutionIdException;
class InvalidLifecycleEventHookExecutionStatusException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidLifecycleEventHookExecutionStatusException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidLifecycleEventHookExecutionStatusException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidLifecycleEventHookExecutionStatusException.prototype);
    }
}
exports.InvalidLifecycleEventHookExecutionStatusException = InvalidLifecycleEventHookExecutionStatusException;
class LifecycleEventAlreadyCompletedException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "LifecycleEventAlreadyCompletedException",
            $fault: "client",
            ...opts,
        });
        this.name = "LifecycleEventAlreadyCompletedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, LifecycleEventAlreadyCompletedException.prototype);
    }
}
exports.LifecycleEventAlreadyCompletedException = LifecycleEventAlreadyCompletedException;
var PutLifecycleEventHookExecutionStatusInput;
(function (PutLifecycleEventHookExecutionStatusInput) {
    PutLifecycleEventHookExecutionStatusInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutLifecycleEventHookExecutionStatusInput = exports.PutLifecycleEventHookExecutionStatusInput || (exports.PutLifecycleEventHookExecutionStatusInput = {}));
var PutLifecycleEventHookExecutionStatusOutput;
(function (PutLifecycleEventHookExecutionStatusOutput) {
    PutLifecycleEventHookExecutionStatusOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutLifecycleEventHookExecutionStatusOutput = exports.PutLifecycleEventHookExecutionStatusOutput || (exports.PutLifecycleEventHookExecutionStatusOutput = {}));
var RegisterApplicationRevisionInput;
(function (RegisterApplicationRevisionInput) {
    RegisterApplicationRevisionInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RegisterApplicationRevisionInput = exports.RegisterApplicationRevisionInput || (exports.RegisterApplicationRevisionInput = {}));
class IamArnRequiredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "IamArnRequiredException",
            $fault: "client",
            ...opts,
        });
        this.name = "IamArnRequiredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, IamArnRequiredException.prototype);
    }
}
exports.IamArnRequiredException = IamArnRequiredException;
class IamSessionArnAlreadyRegisteredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "IamSessionArnAlreadyRegisteredException",
            $fault: "client",
            ...opts,
        });
        this.name = "IamSessionArnAlreadyRegisteredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, IamSessionArnAlreadyRegisteredException.prototype);
    }
}
exports.IamSessionArnAlreadyRegisteredException = IamSessionArnAlreadyRegisteredException;
class IamUserArnAlreadyRegisteredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "IamUserArnAlreadyRegisteredException",
            $fault: "client",
            ...opts,
        });
        this.name = "IamUserArnAlreadyRegisteredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, IamUserArnAlreadyRegisteredException.prototype);
    }
}
exports.IamUserArnAlreadyRegisteredException = IamUserArnAlreadyRegisteredException;
class IamUserArnRequiredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "IamUserArnRequiredException",
            $fault: "client",
            ...opts,
        });
        this.name = "IamUserArnRequiredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, IamUserArnRequiredException.prototype);
    }
}
exports.IamUserArnRequiredException = IamUserArnRequiredException;
class InstanceNameAlreadyRegisteredException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InstanceNameAlreadyRegisteredException",
            $fault: "client",
            ...opts,
        });
        this.name = "InstanceNameAlreadyRegisteredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InstanceNameAlreadyRegisteredException.prototype);
    }
}
exports.InstanceNameAlreadyRegisteredException = InstanceNameAlreadyRegisteredException;
class InvalidIamSessionArnException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidIamSessionArnException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidIamSessionArnException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidIamSessionArnException.prototype);
    }
}
exports.InvalidIamSessionArnException = InvalidIamSessionArnException;
class InvalidIamUserArnException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "InvalidIamUserArnException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidIamUserArnException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidIamUserArnException.prototype);
    }
}
exports.InvalidIamUserArnException = InvalidIamUserArnException;
class MultipleIamArnsProvidedException extends CodeDeployServiceException_1.CodeDeployServiceException {
    constructor(opts) {
        super({
            name: "MultipleIamArnsProvidedException",
            $fault: "client",
            ...opts,
        });
        this.name = "MultipleIamArnsProvidedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, MultipleIamArnsProvidedException.prototype);
    }
}
exports.MultipleIamArnsProvidedException = MultipleIamArnsProvidedException;
var RegisterOnPremisesInstanceInput;
(function (RegisterOnPremisesInstanceInput) {
    RegisterOnPremisesInstanceInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RegisterOnPremisesInstanceInput = exports.RegisterOnPremisesInstanceInput || (exports.RegisterOnPremisesInstanceInput = {}));
var RemoveTagsFromOnPremisesInstancesInput;
(function (RemoveTagsFromOnPremisesInstancesInput) {
    RemoveTagsFromOnPremisesInstancesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RemoveTagsFromOnPremisesInstancesInput = exports.RemoveTagsFromOnPremisesInstancesInput || (exports.RemoveTagsFromOnPremisesInstancesInput = {}));
var SkipWaitTimeForInstanceTerminationInput;
(function (SkipWaitTimeForInstanceTerminationInput) {
    SkipWaitTimeForInstanceTerminationInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SkipWaitTimeForInstanceTerminationInput = exports.SkipWaitTimeForInstanceTerminationInput || (exports.SkipWaitTimeForInstanceTerminationInput = {}));
var StopDeploymentInput;
(function (StopDeploymentInput) {
    StopDeploymentInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopDeploymentInput = exports.StopDeploymentInput || (exports.StopDeploymentInput = {}));
var StopStatus;
(function (StopStatus) {
    StopStatus["PENDING"] = "Pending";
    StopStatus["SUCCEEDED"] = "Succeeded";
})(StopStatus = exports.StopStatus || (exports.StopStatus = {}));
var StopDeploymentOutput;
(function (StopDeploymentOutput) {
    StopDeploymentOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopDeploymentOutput = exports.StopDeploymentOutput || (exports.StopDeploymentOutput = {}));
var TagResourceInput;
(function (TagResourceInput) {
    TagResourceInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceInput = exports.TagResourceInput || (exports.TagResourceInput = {}));
var TagResourceOutput;
(function (TagResourceOutput) {
    TagResourceOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceOutput = exports.TagResourceOutput || (exports.TagResourceOutput = {}));
var UntagResourceInput;
(function (UntagResourceInput) {
    UntagResourceInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceInput = exports.UntagResourceInput || (exports.UntagResourceInput = {}));
var UntagResourceOutput;
(function (UntagResourceOutput) {
    UntagResourceOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceOutput = exports.UntagResourceOutput || (exports.UntagResourceOutput = {}));
var UpdateApplicationInput;
(function (UpdateApplicationInput) {
    UpdateApplicationInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateApplicationInput = exports.UpdateApplicationInput || (exports.UpdateApplicationInput = {}));
var UpdateDeploymentGroupInput;
(function (UpdateDeploymentGroupInput) {
    UpdateDeploymentGroupInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateDeploymentGroupInput = exports.UpdateDeploymentGroupInput || (exports.UpdateDeploymentGroupInput = {}));
var UpdateDeploymentGroupOutput;
(function (UpdateDeploymentGroupOutput) {
    UpdateDeploymentGroupOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateDeploymentGroupOutput = exports.UpdateDeploymentGroupOutput || (exports.UpdateDeploymentGroupOutput = {}));
