import { __assign, __extends } from "tslib";
import { CodeDeployServiceException as __BaseException } from "./CodeDeployServiceException";
export var Tag;
(function (Tag) {
    Tag.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Tag || (Tag = {}));
export var AddTagsToOnPremisesInstancesInput;
(function (AddTagsToOnPremisesInstancesInput) {
    AddTagsToOnPremisesInstancesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AddTagsToOnPremisesInstancesInput || (AddTagsToOnPremisesInstancesInput = {}));
var InstanceLimitExceededException = (function (_super) {
    __extends(InstanceLimitExceededException, _super);
    function InstanceLimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "InstanceLimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "InstanceLimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InstanceLimitExceededException.prototype);
        return _this;
    }
    return InstanceLimitExceededException;
}(__BaseException));
export { InstanceLimitExceededException };
var InstanceNameRequiredException = (function (_super) {
    __extends(InstanceNameRequiredException, _super);
    function InstanceNameRequiredException(opts) {
        var _this = _super.call(this, __assign({ name: "InstanceNameRequiredException", $fault: "client" }, opts)) || this;
        _this.name = "InstanceNameRequiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InstanceNameRequiredException.prototype);
        return _this;
    }
    return InstanceNameRequiredException;
}(__BaseException));
export { InstanceNameRequiredException };
var InstanceNotRegisteredException = (function (_super) {
    __extends(InstanceNotRegisteredException, _super);
    function InstanceNotRegisteredException(opts) {
        var _this = _super.call(this, __assign({ name: "InstanceNotRegisteredException", $fault: "client" }, opts)) || this;
        _this.name = "InstanceNotRegisteredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InstanceNotRegisteredException.prototype);
        return _this;
    }
    return InstanceNotRegisteredException;
}(__BaseException));
export { InstanceNotRegisteredException };
var InvalidInstanceNameException = (function (_super) {
    __extends(InvalidInstanceNameException, _super);
    function InvalidInstanceNameException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidInstanceNameException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidInstanceNameException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidInstanceNameException.prototype);
        return _this;
    }
    return InvalidInstanceNameException;
}(__BaseException));
export { InvalidInstanceNameException };
var InvalidTagException = (function (_super) {
    __extends(InvalidTagException, _super);
    function InvalidTagException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidTagException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidTagException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidTagException.prototype);
        return _this;
    }
    return InvalidTagException;
}(__BaseException));
export { InvalidTagException };
var TagLimitExceededException = (function (_super) {
    __extends(TagLimitExceededException, _super);
    function TagLimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "TagLimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "TagLimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, TagLimitExceededException.prototype);
        return _this;
    }
    return TagLimitExceededException;
}(__BaseException));
export { TagLimitExceededException };
var TagRequiredException = (function (_super) {
    __extends(TagRequiredException, _super);
    function TagRequiredException(opts) {
        var _this = _super.call(this, __assign({ name: "TagRequiredException", $fault: "client" }, opts)) || this;
        _this.name = "TagRequiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, TagRequiredException.prototype);
        return _this;
    }
    return TagRequiredException;
}(__BaseException));
export { TagRequiredException };
export var Alarm;
(function (Alarm) {
    Alarm.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Alarm || (Alarm = {}));
export var AlarmConfiguration;
(function (AlarmConfiguration) {
    AlarmConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AlarmConfiguration || (AlarmConfiguration = {}));
var AlarmsLimitExceededException = (function (_super) {
    __extends(AlarmsLimitExceededException, _super);
    function AlarmsLimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "AlarmsLimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "AlarmsLimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, AlarmsLimitExceededException.prototype);
        return _this;
    }
    return AlarmsLimitExceededException;
}(__BaseException));
export { AlarmsLimitExceededException };
var ApplicationAlreadyExistsException = (function (_super) {
    __extends(ApplicationAlreadyExistsException, _super);
    function ApplicationAlreadyExistsException(opts) {
        var _this = _super.call(this, __assign({ name: "ApplicationAlreadyExistsException", $fault: "client" }, opts)) || this;
        _this.name = "ApplicationAlreadyExistsException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ApplicationAlreadyExistsException.prototype);
        return _this;
    }
    return ApplicationAlreadyExistsException;
}(__BaseException));
export { ApplicationAlreadyExistsException };
var ApplicationDoesNotExistException = (function (_super) {
    __extends(ApplicationDoesNotExistException, _super);
    function ApplicationDoesNotExistException(opts) {
        var _this = _super.call(this, __assign({ name: "ApplicationDoesNotExistException", $fault: "client" }, opts)) || this;
        _this.name = "ApplicationDoesNotExistException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ApplicationDoesNotExistException.prototype);
        return _this;
    }
    return ApplicationDoesNotExistException;
}(__BaseException));
export { ApplicationDoesNotExistException };
export var ComputePlatform;
(function (ComputePlatform) {
    ComputePlatform["ECS"] = "ECS";
    ComputePlatform["LAMBDA"] = "Lambda";
    ComputePlatform["SERVER"] = "Server";
})(ComputePlatform || (ComputePlatform = {}));
export var ApplicationInfo;
(function (ApplicationInfo) {
    ApplicationInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ApplicationInfo || (ApplicationInfo = {}));
var ApplicationLimitExceededException = (function (_super) {
    __extends(ApplicationLimitExceededException, _super);
    function ApplicationLimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "ApplicationLimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "ApplicationLimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ApplicationLimitExceededException.prototype);
        return _this;
    }
    return ApplicationLimitExceededException;
}(__BaseException));
export { ApplicationLimitExceededException };
var ApplicationNameRequiredException = (function (_super) {
    __extends(ApplicationNameRequiredException, _super);
    function ApplicationNameRequiredException(opts) {
        var _this = _super.call(this, __assign({ name: "ApplicationNameRequiredException", $fault: "client" }, opts)) || this;
        _this.name = "ApplicationNameRequiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ApplicationNameRequiredException.prototype);
        return _this;
    }
    return ApplicationNameRequiredException;
}(__BaseException));
export { ApplicationNameRequiredException };
export var ApplicationRevisionSortBy;
(function (ApplicationRevisionSortBy) {
    ApplicationRevisionSortBy["FirstUsedTime"] = "firstUsedTime";
    ApplicationRevisionSortBy["LastUsedTime"] = "lastUsedTime";
    ApplicationRevisionSortBy["RegisterTime"] = "registerTime";
})(ApplicationRevisionSortBy || (ApplicationRevisionSortBy = {}));
export var AppSpecContent;
(function (AppSpecContent) {
    AppSpecContent.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AppSpecContent || (AppSpecContent = {}));
var ArnNotSupportedException = (function (_super) {
    __extends(ArnNotSupportedException, _super);
    function ArnNotSupportedException(opts) {
        var _this = _super.call(this, __assign({ name: "ArnNotSupportedException", $fault: "client" }, opts)) || this;
        _this.name = "ArnNotSupportedException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ArnNotSupportedException.prototype);
        return _this;
    }
    return ArnNotSupportedException;
}(__BaseException));
export { ArnNotSupportedException };
export var AutoRollbackEvent;
(function (AutoRollbackEvent) {
    AutoRollbackEvent["DEPLOYMENT_FAILURE"] = "DEPLOYMENT_FAILURE";
    AutoRollbackEvent["DEPLOYMENT_STOP_ON_ALARM"] = "DEPLOYMENT_STOP_ON_ALARM";
    AutoRollbackEvent["DEPLOYMENT_STOP_ON_REQUEST"] = "DEPLOYMENT_STOP_ON_REQUEST";
})(AutoRollbackEvent || (AutoRollbackEvent = {}));
export var AutoRollbackConfiguration;
(function (AutoRollbackConfiguration) {
    AutoRollbackConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AutoRollbackConfiguration || (AutoRollbackConfiguration = {}));
export var AutoScalingGroup;
(function (AutoScalingGroup) {
    AutoScalingGroup.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AutoScalingGroup || (AutoScalingGroup = {}));
export var GitHubLocation;
(function (GitHubLocation) {
    GitHubLocation.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GitHubLocation || (GitHubLocation = {}));
export var RevisionLocationType;
(function (RevisionLocationType) {
    RevisionLocationType["AppSpecContent"] = "AppSpecContent";
    RevisionLocationType["GitHub"] = "GitHub";
    RevisionLocationType["S3"] = "S3";
    RevisionLocationType["String"] = "String";
})(RevisionLocationType || (RevisionLocationType = {}));
export var BundleType;
(function (BundleType) {
    BundleType["JSON"] = "JSON";
    BundleType["Tar"] = "tar";
    BundleType["TarGZip"] = "tgz";
    BundleType["YAML"] = "YAML";
    BundleType["Zip"] = "zip";
})(BundleType || (BundleType = {}));
export var S3Location;
(function (S3Location) {
    S3Location.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(S3Location || (S3Location = {}));
export var RawString;
(function (RawString) {
    RawString.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RawString || (RawString = {}));
export var RevisionLocation;
(function (RevisionLocation) {
    RevisionLocation.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RevisionLocation || (RevisionLocation = {}));
export var BatchGetApplicationRevisionsInput;
(function (BatchGetApplicationRevisionsInput) {
    BatchGetApplicationRevisionsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetApplicationRevisionsInput || (BatchGetApplicationRevisionsInput = {}));
export var GenericRevisionInfo;
(function (GenericRevisionInfo) {
    GenericRevisionInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GenericRevisionInfo || (GenericRevisionInfo = {}));
export var RevisionInfo;
(function (RevisionInfo) {
    RevisionInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RevisionInfo || (RevisionInfo = {}));
export var BatchGetApplicationRevisionsOutput;
(function (BatchGetApplicationRevisionsOutput) {
    BatchGetApplicationRevisionsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetApplicationRevisionsOutput || (BatchGetApplicationRevisionsOutput = {}));
var BatchLimitExceededException = (function (_super) {
    __extends(BatchLimitExceededException, _super);
    function BatchLimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "BatchLimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "BatchLimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, BatchLimitExceededException.prototype);
        return _this;
    }
    return BatchLimitExceededException;
}(__BaseException));
export { BatchLimitExceededException };
var InvalidApplicationNameException = (function (_super) {
    __extends(InvalidApplicationNameException, _super);
    function InvalidApplicationNameException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidApplicationNameException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidApplicationNameException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidApplicationNameException.prototype);
        return _this;
    }
    return InvalidApplicationNameException;
}(__BaseException));
export { InvalidApplicationNameException };
var InvalidRevisionException = (function (_super) {
    __extends(InvalidRevisionException, _super);
    function InvalidRevisionException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidRevisionException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidRevisionException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidRevisionException.prototype);
        return _this;
    }
    return InvalidRevisionException;
}(__BaseException));
export { InvalidRevisionException };
var RevisionRequiredException = (function (_super) {
    __extends(RevisionRequiredException, _super);
    function RevisionRequiredException(opts) {
        var _this = _super.call(this, __assign({ name: "RevisionRequiredException", $fault: "client" }, opts)) || this;
        _this.name = "RevisionRequiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, RevisionRequiredException.prototype);
        return _this;
    }
    return RevisionRequiredException;
}(__BaseException));
export { RevisionRequiredException };
export var BatchGetApplicationsInput;
(function (BatchGetApplicationsInput) {
    BatchGetApplicationsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetApplicationsInput || (BatchGetApplicationsInput = {}));
export var BatchGetApplicationsOutput;
(function (BatchGetApplicationsOutput) {
    BatchGetApplicationsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetApplicationsOutput || (BatchGetApplicationsOutput = {}));
export var BatchGetDeploymentGroupsInput;
(function (BatchGetDeploymentGroupsInput) {
    BatchGetDeploymentGroupsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetDeploymentGroupsInput || (BatchGetDeploymentGroupsInput = {}));
export var DeploymentReadyAction;
(function (DeploymentReadyAction) {
    DeploymentReadyAction["CONTINUE_DEPLOYMENT"] = "CONTINUE_DEPLOYMENT";
    DeploymentReadyAction["STOP_DEPLOYMENT"] = "STOP_DEPLOYMENT";
})(DeploymentReadyAction || (DeploymentReadyAction = {}));
export var DeploymentReadyOption;
(function (DeploymentReadyOption) {
    DeploymentReadyOption.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeploymentReadyOption || (DeploymentReadyOption = {}));
export var GreenFleetProvisioningAction;
(function (GreenFleetProvisioningAction) {
    GreenFleetProvisioningAction["COPY_AUTO_SCALING_GROUP"] = "COPY_AUTO_SCALING_GROUP";
    GreenFleetProvisioningAction["DISCOVER_EXISTING"] = "DISCOVER_EXISTING";
})(GreenFleetProvisioningAction || (GreenFleetProvisioningAction = {}));
export var GreenFleetProvisioningOption;
(function (GreenFleetProvisioningOption) {
    GreenFleetProvisioningOption.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GreenFleetProvisioningOption || (GreenFleetProvisioningOption = {}));
export var InstanceAction;
(function (InstanceAction) {
    InstanceAction["KEEP_ALIVE"] = "KEEP_ALIVE";
    InstanceAction["TERMINATE"] = "TERMINATE";
})(InstanceAction || (InstanceAction = {}));
export var BlueInstanceTerminationOption;
(function (BlueInstanceTerminationOption) {
    BlueInstanceTerminationOption.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BlueInstanceTerminationOption || (BlueInstanceTerminationOption = {}));
export var BlueGreenDeploymentConfiguration;
(function (BlueGreenDeploymentConfiguration) {
    BlueGreenDeploymentConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BlueGreenDeploymentConfiguration || (BlueGreenDeploymentConfiguration = {}));
export var DeploymentOption;
(function (DeploymentOption) {
    DeploymentOption["WITHOUT_TRAFFIC_CONTROL"] = "WITHOUT_TRAFFIC_CONTROL";
    DeploymentOption["WITH_TRAFFIC_CONTROL"] = "WITH_TRAFFIC_CONTROL";
})(DeploymentOption || (DeploymentOption = {}));
export var DeploymentType;
(function (DeploymentType) {
    DeploymentType["BLUE_GREEN"] = "BLUE_GREEN";
    DeploymentType["IN_PLACE"] = "IN_PLACE";
})(DeploymentType || (DeploymentType = {}));
export var DeploymentStyle;
(function (DeploymentStyle) {
    DeploymentStyle.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeploymentStyle || (DeploymentStyle = {}));
export var EC2TagFilterType;
(function (EC2TagFilterType) {
    EC2TagFilterType["KEY_AND_VALUE"] = "KEY_AND_VALUE";
    EC2TagFilterType["KEY_ONLY"] = "KEY_ONLY";
    EC2TagFilterType["VALUE_ONLY"] = "VALUE_ONLY";
})(EC2TagFilterType || (EC2TagFilterType = {}));
export var EC2TagFilter;
(function (EC2TagFilter) {
    EC2TagFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EC2TagFilter || (EC2TagFilter = {}));
export var EC2TagSet;
(function (EC2TagSet) {
    EC2TagSet.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EC2TagSet || (EC2TagSet = {}));
export var ECSService;
(function (ECSService) {
    ECSService.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ECSService || (ECSService = {}));
export var DeploymentStatus;
(function (DeploymentStatus) {
    DeploymentStatus["BAKING"] = "Baking";
    DeploymentStatus["CREATED"] = "Created";
    DeploymentStatus["FAILED"] = "Failed";
    DeploymentStatus["IN_PROGRESS"] = "InProgress";
    DeploymentStatus["QUEUED"] = "Queued";
    DeploymentStatus["READY"] = "Ready";
    DeploymentStatus["STOPPED"] = "Stopped";
    DeploymentStatus["SUCCEEDED"] = "Succeeded";
})(DeploymentStatus || (DeploymentStatus = {}));
export var LastDeploymentInfo;
(function (LastDeploymentInfo) {
    LastDeploymentInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LastDeploymentInfo || (LastDeploymentInfo = {}));
export var ELBInfo;
(function (ELBInfo) {
    ELBInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ELBInfo || (ELBInfo = {}));
export var TargetGroupInfo;
(function (TargetGroupInfo) {
    TargetGroupInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TargetGroupInfo || (TargetGroupInfo = {}));
export var TrafficRoute;
(function (TrafficRoute) {
    TrafficRoute.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrafficRoute || (TrafficRoute = {}));
export var TargetGroupPairInfo;
(function (TargetGroupPairInfo) {
    TargetGroupPairInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TargetGroupPairInfo || (TargetGroupPairInfo = {}));
export var LoadBalancerInfo;
(function (LoadBalancerInfo) {
    LoadBalancerInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LoadBalancerInfo || (LoadBalancerInfo = {}));
export var TagFilterType;
(function (TagFilterType) {
    TagFilterType["KEY_AND_VALUE"] = "KEY_AND_VALUE";
    TagFilterType["KEY_ONLY"] = "KEY_ONLY";
    TagFilterType["VALUE_ONLY"] = "VALUE_ONLY";
})(TagFilterType || (TagFilterType = {}));
export var TagFilter;
(function (TagFilter) {
    TagFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagFilter || (TagFilter = {}));
export var OnPremisesTagSet;
(function (OnPremisesTagSet) {
    OnPremisesTagSet.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(OnPremisesTagSet || (OnPremisesTagSet = {}));
export var OutdatedInstancesStrategy;
(function (OutdatedInstancesStrategy) {
    OutdatedInstancesStrategy["Ignore"] = "IGNORE";
    OutdatedInstancesStrategy["Update"] = "UPDATE";
})(OutdatedInstancesStrategy || (OutdatedInstancesStrategy = {}));
export var TriggerEventType;
(function (TriggerEventType) {
    TriggerEventType["DEPLOYMENT_FAILURE"] = "DeploymentFailure";
    TriggerEventType["DEPLOYMENT_READY"] = "DeploymentReady";
    TriggerEventType["DEPLOYMENT_ROLLBACK"] = "DeploymentRollback";
    TriggerEventType["DEPLOYMENT_START"] = "DeploymentStart";
    TriggerEventType["DEPLOYMENT_STOP"] = "DeploymentStop";
    TriggerEventType["DEPLOYMENT_SUCCESS"] = "DeploymentSuccess";
    TriggerEventType["INSTANCE_FAILURE"] = "InstanceFailure";
    TriggerEventType["INSTANCE_READY"] = "InstanceReady";
    TriggerEventType["INSTANCE_START"] = "InstanceStart";
    TriggerEventType["INSTANCE_SUCCESS"] = "InstanceSuccess";
})(TriggerEventType || (TriggerEventType = {}));
export var TriggerConfig;
(function (TriggerConfig) {
    TriggerConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TriggerConfig || (TriggerConfig = {}));
export var DeploymentGroupInfo;
(function (DeploymentGroupInfo) {
    DeploymentGroupInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeploymentGroupInfo || (DeploymentGroupInfo = {}));
export var BatchGetDeploymentGroupsOutput;
(function (BatchGetDeploymentGroupsOutput) {
    BatchGetDeploymentGroupsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetDeploymentGroupsOutput || (BatchGetDeploymentGroupsOutput = {}));
var DeploymentConfigDoesNotExistException = (function (_super) {
    __extends(DeploymentConfigDoesNotExistException, _super);
    function DeploymentConfigDoesNotExistException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentConfigDoesNotExistException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentConfigDoesNotExistException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentConfigDoesNotExistException.prototype);
        return _this;
    }
    return DeploymentConfigDoesNotExistException;
}(__BaseException));
export { DeploymentConfigDoesNotExistException };
var DeploymentGroupNameRequiredException = (function (_super) {
    __extends(DeploymentGroupNameRequiredException, _super);
    function DeploymentGroupNameRequiredException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentGroupNameRequiredException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentGroupNameRequiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentGroupNameRequiredException.prototype);
        return _this;
    }
    return DeploymentGroupNameRequiredException;
}(__BaseException));
export { DeploymentGroupNameRequiredException };
var InvalidDeploymentGroupNameException = (function (_super) {
    __extends(InvalidDeploymentGroupNameException, _super);
    function InvalidDeploymentGroupNameException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidDeploymentGroupNameException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidDeploymentGroupNameException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidDeploymentGroupNameException.prototype);
        return _this;
    }
    return InvalidDeploymentGroupNameException;
}(__BaseException));
export { InvalidDeploymentGroupNameException };
export var BatchGetDeploymentInstancesInput;
(function (BatchGetDeploymentInstancesInput) {
    BatchGetDeploymentInstancesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetDeploymentInstancesInput || (BatchGetDeploymentInstancesInput = {}));
export var _InstanceType;
(function (_InstanceType) {
    _InstanceType["BLUE"] = "Blue";
    _InstanceType["GREEN"] = "Green";
})(_InstanceType || (_InstanceType = {}));
export var LifecycleErrorCode;
(function (LifecycleErrorCode) {
    LifecycleErrorCode["SCRIPT_FAILED"] = "ScriptFailed";
    LifecycleErrorCode["SCRIPT_MISSING"] = "ScriptMissing";
    LifecycleErrorCode["SCRIPT_NOT_EXECUTABLE"] = "ScriptNotExecutable";
    LifecycleErrorCode["SCRIPT_TIMED_OUT"] = "ScriptTimedOut";
    LifecycleErrorCode["SUCCESS"] = "Success";
    LifecycleErrorCode["UNKNOWN_ERROR"] = "UnknownError";
})(LifecycleErrorCode || (LifecycleErrorCode = {}));
export var Diagnostics;
(function (Diagnostics) {
    Diagnostics.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Diagnostics || (Diagnostics = {}));
export var LifecycleEventStatus;
(function (LifecycleEventStatus) {
    LifecycleEventStatus["FAILED"] = "Failed";
    LifecycleEventStatus["IN_PROGRESS"] = "InProgress";
    LifecycleEventStatus["PENDING"] = "Pending";
    LifecycleEventStatus["SKIPPED"] = "Skipped";
    LifecycleEventStatus["SUCCEEDED"] = "Succeeded";
    LifecycleEventStatus["UNKNOWN"] = "Unknown";
})(LifecycleEventStatus || (LifecycleEventStatus = {}));
export var LifecycleEvent;
(function (LifecycleEvent) {
    LifecycleEvent.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LifecycleEvent || (LifecycleEvent = {}));
export var InstanceStatus;
(function (InstanceStatus) {
    InstanceStatus["FAILED"] = "Failed";
    InstanceStatus["IN_PROGRESS"] = "InProgress";
    InstanceStatus["PENDING"] = "Pending";
    InstanceStatus["READY"] = "Ready";
    InstanceStatus["SKIPPED"] = "Skipped";
    InstanceStatus["SUCCEEDED"] = "Succeeded";
    InstanceStatus["UNKNOWN"] = "Unknown";
})(InstanceStatus || (InstanceStatus = {}));
export var InstanceSummary;
(function (InstanceSummary) {
    InstanceSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(InstanceSummary || (InstanceSummary = {}));
export var BatchGetDeploymentInstancesOutput;
(function (BatchGetDeploymentInstancesOutput) {
    BatchGetDeploymentInstancesOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetDeploymentInstancesOutput || (BatchGetDeploymentInstancesOutput = {}));
var DeploymentDoesNotExistException = (function (_super) {
    __extends(DeploymentDoesNotExistException, _super);
    function DeploymentDoesNotExistException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentDoesNotExistException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentDoesNotExistException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentDoesNotExistException.prototype);
        return _this;
    }
    return DeploymentDoesNotExistException;
}(__BaseException));
export { DeploymentDoesNotExistException };
var DeploymentIdRequiredException = (function (_super) {
    __extends(DeploymentIdRequiredException, _super);
    function DeploymentIdRequiredException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentIdRequiredException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentIdRequiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentIdRequiredException.prototype);
        return _this;
    }
    return DeploymentIdRequiredException;
}(__BaseException));
export { DeploymentIdRequiredException };
var InstanceIdRequiredException = (function (_super) {
    __extends(InstanceIdRequiredException, _super);
    function InstanceIdRequiredException(opts) {
        var _this = _super.call(this, __assign({ name: "InstanceIdRequiredException", $fault: "client" }, opts)) || this;
        _this.name = "InstanceIdRequiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InstanceIdRequiredException.prototype);
        return _this;
    }
    return InstanceIdRequiredException;
}(__BaseException));
export { InstanceIdRequiredException };
var InvalidComputePlatformException = (function (_super) {
    __extends(InvalidComputePlatformException, _super);
    function InvalidComputePlatformException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidComputePlatformException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidComputePlatformException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidComputePlatformException.prototype);
        return _this;
    }
    return InvalidComputePlatformException;
}(__BaseException));
export { InvalidComputePlatformException };
var InvalidDeploymentIdException = (function (_super) {
    __extends(InvalidDeploymentIdException, _super);
    function InvalidDeploymentIdException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidDeploymentIdException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidDeploymentIdException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidDeploymentIdException.prototype);
        return _this;
    }
    return InvalidDeploymentIdException;
}(__BaseException));
export { InvalidDeploymentIdException };
export var BatchGetDeploymentsInput;
(function (BatchGetDeploymentsInput) {
    BatchGetDeploymentsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetDeploymentsInput || (BatchGetDeploymentsInput = {}));
export var DeploymentCreator;
(function (DeploymentCreator) {
    DeploymentCreator["Autoscaling"] = "autoscaling";
    DeploymentCreator["CloudFormation"] = "CloudFormation";
    DeploymentCreator["CloudFormationRollback"] = "CloudFormationRollback";
    DeploymentCreator["CodeDeploy"] = "CodeDeploy";
    DeploymentCreator["CodeDeployAutoUpdate"] = "CodeDeployAutoUpdate";
    DeploymentCreator["CodeDeployRollback"] = "codeDeployRollback";
    DeploymentCreator["User"] = "user";
})(DeploymentCreator || (DeploymentCreator = {}));
export var DeploymentOverview;
(function (DeploymentOverview) {
    DeploymentOverview.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeploymentOverview || (DeploymentOverview = {}));
export var ErrorCode;
(function (ErrorCode) {
    ErrorCode["AGENT_ISSUE"] = "AGENT_ISSUE";
    ErrorCode["ALARM_ACTIVE"] = "ALARM_ACTIVE";
    ErrorCode["APPLICATION_MISSING"] = "APPLICATION_MISSING";
    ErrorCode["AUTOSCALING_VALIDATION_ERROR"] = "AUTOSCALING_VALIDATION_ERROR";
    ErrorCode["AUTO_SCALING_CONFIGURATION"] = "AUTO_SCALING_CONFIGURATION";
    ErrorCode["AUTO_SCALING_IAM_ROLE_PERMISSIONS"] = "AUTO_SCALING_IAM_ROLE_PERMISSIONS";
    ErrorCode["CLOUDFORMATION_STACK_FAILURE"] = "CLOUDFORMATION_STACK_FAILURE";
    ErrorCode["CODEDEPLOY_RESOURCE_CANNOT_BE_FOUND"] = "CODEDEPLOY_RESOURCE_CANNOT_BE_FOUND";
    ErrorCode["CUSTOMER_APPLICATION_UNHEALTHY"] = "CUSTOMER_APPLICATION_UNHEALTHY";
    ErrorCode["DEPLOYMENT_GROUP_MISSING"] = "DEPLOYMENT_GROUP_MISSING";
    ErrorCode["ECS_UPDATE_ERROR"] = "ECS_UPDATE_ERROR";
    ErrorCode["ELASTIC_LOAD_BALANCING_INVALID"] = "ELASTIC_LOAD_BALANCING_INVALID";
    ErrorCode["ELB_INVALID_INSTANCE"] = "ELB_INVALID_INSTANCE";
    ErrorCode["HEALTH_CONSTRAINTS"] = "HEALTH_CONSTRAINTS";
    ErrorCode["HEALTH_CONSTRAINTS_INVALID"] = "HEALTH_CONSTRAINTS_INVALID";
    ErrorCode["HOOK_EXECUTION_FAILURE"] = "HOOK_EXECUTION_FAILURE";
    ErrorCode["IAM_ROLE_MISSING"] = "IAM_ROLE_MISSING";
    ErrorCode["IAM_ROLE_PERMISSIONS"] = "IAM_ROLE_PERMISSIONS";
    ErrorCode["INTERNAL_ERROR"] = "INTERNAL_ERROR";
    ErrorCode["INVALID_ECS_SERVICE"] = "INVALID_ECS_SERVICE";
    ErrorCode["INVALID_LAMBDA_CONFIGURATION"] = "INVALID_LAMBDA_CONFIGURATION";
    ErrorCode["INVALID_LAMBDA_FUNCTION"] = "INVALID_LAMBDA_FUNCTION";
    ErrorCode["INVALID_REVISION"] = "INVALID_REVISION";
    ErrorCode["MANUAL_STOP"] = "MANUAL_STOP";
    ErrorCode["MISSING_BLUE_GREEN_DEPLOYMENT_CONFIGURATION"] = "MISSING_BLUE_GREEN_DEPLOYMENT_CONFIGURATION";
    ErrorCode["MISSING_ELB_INFORMATION"] = "MISSING_ELB_INFORMATION";
    ErrorCode["MISSING_GITHUB_TOKEN"] = "MISSING_GITHUB_TOKEN";
    ErrorCode["NO_EC2_SUBSCRIPTION"] = "NO_EC2_SUBSCRIPTION";
    ErrorCode["NO_INSTANCES"] = "NO_INSTANCES";
    ErrorCode["OVER_MAX_INSTANCES"] = "OVER_MAX_INSTANCES";
    ErrorCode["RESOURCE_LIMIT_EXCEEDED"] = "RESOURCE_LIMIT_EXCEEDED";
    ErrorCode["REVISION_MISSING"] = "REVISION_MISSING";
    ErrorCode["THROTTLED"] = "THROTTLED";
    ErrorCode["TIMEOUT"] = "TIMEOUT";
})(ErrorCode || (ErrorCode = {}));
export var ErrorInformation;
(function (ErrorInformation) {
    ErrorInformation.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ErrorInformation || (ErrorInformation = {}));
export var FileExistsBehavior;
(function (FileExistsBehavior) {
    FileExistsBehavior["DISALLOW"] = "DISALLOW";
    FileExistsBehavior["OVERWRITE"] = "OVERWRITE";
    FileExistsBehavior["RETAIN"] = "RETAIN";
})(FileExistsBehavior || (FileExistsBehavior = {}));
export var RelatedDeployments;
(function (RelatedDeployments) {
    RelatedDeployments.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RelatedDeployments || (RelatedDeployments = {}));
export var RollbackInfo;
(function (RollbackInfo) {
    RollbackInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RollbackInfo || (RollbackInfo = {}));
export var TargetInstances;
(function (TargetInstances) {
    TargetInstances.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TargetInstances || (TargetInstances = {}));
export var DeploymentInfo;
(function (DeploymentInfo) {
    DeploymentInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeploymentInfo || (DeploymentInfo = {}));
export var BatchGetDeploymentsOutput;
(function (BatchGetDeploymentsOutput) {
    BatchGetDeploymentsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetDeploymentsOutput || (BatchGetDeploymentsOutput = {}));
export var BatchGetDeploymentTargetsInput;
(function (BatchGetDeploymentTargetsInput) {
    BatchGetDeploymentTargetsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetDeploymentTargetsInput || (BatchGetDeploymentTargetsInput = {}));
export var TargetStatus;
(function (TargetStatus) {
    TargetStatus["FAILED"] = "Failed";
    TargetStatus["IN_PROGRESS"] = "InProgress";
    TargetStatus["PENDING"] = "Pending";
    TargetStatus["READY"] = "Ready";
    TargetStatus["SKIPPED"] = "Skipped";
    TargetStatus["SUCCEEDED"] = "Succeeded";
    TargetStatus["UNKNOWN"] = "Unknown";
})(TargetStatus || (TargetStatus = {}));
export var CloudFormationTarget;
(function (CloudFormationTarget) {
    CloudFormationTarget.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CloudFormationTarget || (CloudFormationTarget = {}));
export var DeploymentTargetType;
(function (DeploymentTargetType) {
    DeploymentTargetType["CLOUDFORMATION_TARGET"] = "CloudFormationTarget";
    DeploymentTargetType["ECS_TARGET"] = "ECSTarget";
    DeploymentTargetType["INSTANCE_TARGET"] = "InstanceTarget";
    DeploymentTargetType["LAMBDA_TARGET"] = "LambdaTarget";
})(DeploymentTargetType || (DeploymentTargetType = {}));
export var TargetLabel;
(function (TargetLabel) {
    TargetLabel["BLUE"] = "Blue";
    TargetLabel["GREEN"] = "Green";
})(TargetLabel || (TargetLabel = {}));
export var ECSTaskSet;
(function (ECSTaskSet) {
    ECSTaskSet.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ECSTaskSet || (ECSTaskSet = {}));
export var ECSTarget;
(function (ECSTarget) {
    ECSTarget.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ECSTarget || (ECSTarget = {}));
export var InstanceTarget;
(function (InstanceTarget) {
    InstanceTarget.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(InstanceTarget || (InstanceTarget = {}));
export var LambdaFunctionInfo;
(function (LambdaFunctionInfo) {
    LambdaFunctionInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LambdaFunctionInfo || (LambdaFunctionInfo = {}));
export var LambdaTarget;
(function (LambdaTarget) {
    LambdaTarget.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LambdaTarget || (LambdaTarget = {}));
export var DeploymentTarget;
(function (DeploymentTarget) {
    DeploymentTarget.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeploymentTarget || (DeploymentTarget = {}));
export var BatchGetDeploymentTargetsOutput;
(function (BatchGetDeploymentTargetsOutput) {
    BatchGetDeploymentTargetsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetDeploymentTargetsOutput || (BatchGetDeploymentTargetsOutput = {}));
var DeploymentNotStartedException = (function (_super) {
    __extends(DeploymentNotStartedException, _super);
    function DeploymentNotStartedException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentNotStartedException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentNotStartedException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentNotStartedException.prototype);
        return _this;
    }
    return DeploymentNotStartedException;
}(__BaseException));
export { DeploymentNotStartedException };
var DeploymentTargetDoesNotExistException = (function (_super) {
    __extends(DeploymentTargetDoesNotExistException, _super);
    function DeploymentTargetDoesNotExistException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentTargetDoesNotExistException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentTargetDoesNotExistException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentTargetDoesNotExistException.prototype);
        return _this;
    }
    return DeploymentTargetDoesNotExistException;
}(__BaseException));
export { DeploymentTargetDoesNotExistException };
var DeploymentTargetIdRequiredException = (function (_super) {
    __extends(DeploymentTargetIdRequiredException, _super);
    function DeploymentTargetIdRequiredException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentTargetIdRequiredException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentTargetIdRequiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentTargetIdRequiredException.prototype);
        return _this;
    }
    return DeploymentTargetIdRequiredException;
}(__BaseException));
export { DeploymentTargetIdRequiredException };
var DeploymentTargetListSizeExceededException = (function (_super) {
    __extends(DeploymentTargetListSizeExceededException, _super);
    function DeploymentTargetListSizeExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentTargetListSizeExceededException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentTargetListSizeExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentTargetListSizeExceededException.prototype);
        return _this;
    }
    return DeploymentTargetListSizeExceededException;
}(__BaseException));
export { DeploymentTargetListSizeExceededException };
var InstanceDoesNotExistException = (function (_super) {
    __extends(InstanceDoesNotExistException, _super);
    function InstanceDoesNotExistException(opts) {
        var _this = _super.call(this, __assign({ name: "InstanceDoesNotExistException", $fault: "client" }, opts)) || this;
        _this.name = "InstanceDoesNotExistException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InstanceDoesNotExistException.prototype);
        return _this;
    }
    return InstanceDoesNotExistException;
}(__BaseException));
export { InstanceDoesNotExistException };
var InvalidDeploymentTargetIdException = (function (_super) {
    __extends(InvalidDeploymentTargetIdException, _super);
    function InvalidDeploymentTargetIdException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidDeploymentTargetIdException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidDeploymentTargetIdException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidDeploymentTargetIdException.prototype);
        return _this;
    }
    return InvalidDeploymentTargetIdException;
}(__BaseException));
export { InvalidDeploymentTargetIdException };
export var BatchGetOnPremisesInstancesInput;
(function (BatchGetOnPremisesInstancesInput) {
    BatchGetOnPremisesInstancesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetOnPremisesInstancesInput || (BatchGetOnPremisesInstancesInput = {}));
export var InstanceInfo;
(function (InstanceInfo) {
    InstanceInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(InstanceInfo || (InstanceInfo = {}));
export var BatchGetOnPremisesInstancesOutput;
(function (BatchGetOnPremisesInstancesOutput) {
    BatchGetOnPremisesInstancesOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetOnPremisesInstancesOutput || (BatchGetOnPremisesInstancesOutput = {}));
var BucketNameFilterRequiredException = (function (_super) {
    __extends(BucketNameFilterRequiredException, _super);
    function BucketNameFilterRequiredException(opts) {
        var _this = _super.call(this, __assign({ name: "BucketNameFilterRequiredException", $fault: "client" }, opts)) || this;
        _this.name = "BucketNameFilterRequiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, BucketNameFilterRequiredException.prototype);
        return _this;
    }
    return BucketNameFilterRequiredException;
}(__BaseException));
export { BucketNameFilterRequiredException };
export var DeploymentWaitType;
(function (DeploymentWaitType) {
    DeploymentWaitType["READY_WAIT"] = "READY_WAIT";
    DeploymentWaitType["TERMINATION_WAIT"] = "TERMINATION_WAIT";
})(DeploymentWaitType || (DeploymentWaitType = {}));
export var ContinueDeploymentInput;
(function (ContinueDeploymentInput) {
    ContinueDeploymentInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ContinueDeploymentInput || (ContinueDeploymentInput = {}));
var DeploymentAlreadyCompletedException = (function (_super) {
    __extends(DeploymentAlreadyCompletedException, _super);
    function DeploymentAlreadyCompletedException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentAlreadyCompletedException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentAlreadyCompletedException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentAlreadyCompletedException.prototype);
        return _this;
    }
    return DeploymentAlreadyCompletedException;
}(__BaseException));
export { DeploymentAlreadyCompletedException };
var DeploymentIsNotInReadyStateException = (function (_super) {
    __extends(DeploymentIsNotInReadyStateException, _super);
    function DeploymentIsNotInReadyStateException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentIsNotInReadyStateException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentIsNotInReadyStateException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentIsNotInReadyStateException.prototype);
        return _this;
    }
    return DeploymentIsNotInReadyStateException;
}(__BaseException));
export { DeploymentIsNotInReadyStateException };
var InvalidDeploymentStatusException = (function (_super) {
    __extends(InvalidDeploymentStatusException, _super);
    function InvalidDeploymentStatusException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidDeploymentStatusException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidDeploymentStatusException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidDeploymentStatusException.prototype);
        return _this;
    }
    return InvalidDeploymentStatusException;
}(__BaseException));
export { InvalidDeploymentStatusException };
var InvalidDeploymentWaitTypeException = (function (_super) {
    __extends(InvalidDeploymentWaitTypeException, _super);
    function InvalidDeploymentWaitTypeException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidDeploymentWaitTypeException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidDeploymentWaitTypeException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidDeploymentWaitTypeException.prototype);
        return _this;
    }
    return InvalidDeploymentWaitTypeException;
}(__BaseException));
export { InvalidDeploymentWaitTypeException };
var UnsupportedActionForDeploymentTypeException = (function (_super) {
    __extends(UnsupportedActionForDeploymentTypeException, _super);
    function UnsupportedActionForDeploymentTypeException(opts) {
        var _this = _super.call(this, __assign({ name: "UnsupportedActionForDeploymentTypeException", $fault: "client" }, opts)) || this;
        _this.name = "UnsupportedActionForDeploymentTypeException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, UnsupportedActionForDeploymentTypeException.prototype);
        return _this;
    }
    return UnsupportedActionForDeploymentTypeException;
}(__BaseException));
export { UnsupportedActionForDeploymentTypeException };
export var CreateApplicationInput;
(function (CreateApplicationInput) {
    CreateApplicationInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateApplicationInput || (CreateApplicationInput = {}));
export var CreateApplicationOutput;
(function (CreateApplicationOutput) {
    CreateApplicationOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateApplicationOutput || (CreateApplicationOutput = {}));
var InvalidTagsToAddException = (function (_super) {
    __extends(InvalidTagsToAddException, _super);
    function InvalidTagsToAddException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidTagsToAddException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidTagsToAddException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidTagsToAddException.prototype);
        return _this;
    }
    return InvalidTagsToAddException;
}(__BaseException));
export { InvalidTagsToAddException };
export var CreateDeploymentInput;
(function (CreateDeploymentInput) {
    CreateDeploymentInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateDeploymentInput || (CreateDeploymentInput = {}));
export var CreateDeploymentOutput;
(function (CreateDeploymentOutput) {
    CreateDeploymentOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateDeploymentOutput || (CreateDeploymentOutput = {}));
var DeploymentGroupDoesNotExistException = (function (_super) {
    __extends(DeploymentGroupDoesNotExistException, _super);
    function DeploymentGroupDoesNotExistException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentGroupDoesNotExistException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentGroupDoesNotExistException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentGroupDoesNotExistException.prototype);
        return _this;
    }
    return DeploymentGroupDoesNotExistException;
}(__BaseException));
export { DeploymentGroupDoesNotExistException };
var DeploymentLimitExceededException = (function (_super) {
    __extends(DeploymentLimitExceededException, _super);
    function DeploymentLimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentLimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentLimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentLimitExceededException.prototype);
        return _this;
    }
    return DeploymentLimitExceededException;
}(__BaseException));
export { DeploymentLimitExceededException };
var DescriptionTooLongException = (function (_super) {
    __extends(DescriptionTooLongException, _super);
    function DescriptionTooLongException(opts) {
        var _this = _super.call(this, __assign({ name: "DescriptionTooLongException", $fault: "client" }, opts)) || this;
        _this.name = "DescriptionTooLongException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DescriptionTooLongException.prototype);
        return _this;
    }
    return DescriptionTooLongException;
}(__BaseException));
export { DescriptionTooLongException };
var InvalidAutoRollbackConfigException = (function (_super) {
    __extends(InvalidAutoRollbackConfigException, _super);
    function InvalidAutoRollbackConfigException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidAutoRollbackConfigException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidAutoRollbackConfigException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidAutoRollbackConfigException.prototype);
        return _this;
    }
    return InvalidAutoRollbackConfigException;
}(__BaseException));
export { InvalidAutoRollbackConfigException };
var InvalidAutoScalingGroupException = (function (_super) {
    __extends(InvalidAutoScalingGroupException, _super);
    function InvalidAutoScalingGroupException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidAutoScalingGroupException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidAutoScalingGroupException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidAutoScalingGroupException.prototype);
        return _this;
    }
    return InvalidAutoScalingGroupException;
}(__BaseException));
export { InvalidAutoScalingGroupException };
var InvalidDeploymentConfigNameException = (function (_super) {
    __extends(InvalidDeploymentConfigNameException, _super);
    function InvalidDeploymentConfigNameException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidDeploymentConfigNameException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidDeploymentConfigNameException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidDeploymentConfigNameException.prototype);
        return _this;
    }
    return InvalidDeploymentConfigNameException;
}(__BaseException));
export { InvalidDeploymentConfigNameException };
var InvalidFileExistsBehaviorException = (function (_super) {
    __extends(InvalidFileExistsBehaviorException, _super);
    function InvalidFileExistsBehaviorException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidFileExistsBehaviorException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidFileExistsBehaviorException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidFileExistsBehaviorException.prototype);
        return _this;
    }
    return InvalidFileExistsBehaviorException;
}(__BaseException));
export { InvalidFileExistsBehaviorException };
var InvalidGitHubAccountTokenException = (function (_super) {
    __extends(InvalidGitHubAccountTokenException, _super);
    function InvalidGitHubAccountTokenException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidGitHubAccountTokenException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidGitHubAccountTokenException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidGitHubAccountTokenException.prototype);
        return _this;
    }
    return InvalidGitHubAccountTokenException;
}(__BaseException));
export { InvalidGitHubAccountTokenException };
var InvalidIgnoreApplicationStopFailuresValueException = (function (_super) {
    __extends(InvalidIgnoreApplicationStopFailuresValueException, _super);
    function InvalidIgnoreApplicationStopFailuresValueException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidIgnoreApplicationStopFailuresValueException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidIgnoreApplicationStopFailuresValueException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidIgnoreApplicationStopFailuresValueException.prototype);
        return _this;
    }
    return InvalidIgnoreApplicationStopFailuresValueException;
}(__BaseException));
export { InvalidIgnoreApplicationStopFailuresValueException };
var InvalidLoadBalancerInfoException = (function (_super) {
    __extends(InvalidLoadBalancerInfoException, _super);
    function InvalidLoadBalancerInfoException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidLoadBalancerInfoException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidLoadBalancerInfoException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidLoadBalancerInfoException.prototype);
        return _this;
    }
    return InvalidLoadBalancerInfoException;
}(__BaseException));
export { InvalidLoadBalancerInfoException };
var InvalidRoleException = (function (_super) {
    __extends(InvalidRoleException, _super);
    function InvalidRoleException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidRoleException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidRoleException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidRoleException.prototype);
        return _this;
    }
    return InvalidRoleException;
}(__BaseException));
export { InvalidRoleException };
var InvalidTargetInstancesException = (function (_super) {
    __extends(InvalidTargetInstancesException, _super);
    function InvalidTargetInstancesException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidTargetInstancesException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidTargetInstancesException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidTargetInstancesException.prototype);
        return _this;
    }
    return InvalidTargetInstancesException;
}(__BaseException));
export { InvalidTargetInstancesException };
var InvalidTrafficRoutingConfigurationException = (function (_super) {
    __extends(InvalidTrafficRoutingConfigurationException, _super);
    function InvalidTrafficRoutingConfigurationException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidTrafficRoutingConfigurationException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidTrafficRoutingConfigurationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidTrafficRoutingConfigurationException.prototype);
        return _this;
    }
    return InvalidTrafficRoutingConfigurationException;
}(__BaseException));
export { InvalidTrafficRoutingConfigurationException };
var InvalidUpdateOutdatedInstancesOnlyValueException = (function (_super) {
    __extends(InvalidUpdateOutdatedInstancesOnlyValueException, _super);
    function InvalidUpdateOutdatedInstancesOnlyValueException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidUpdateOutdatedInstancesOnlyValueException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidUpdateOutdatedInstancesOnlyValueException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidUpdateOutdatedInstancesOnlyValueException.prototype);
        return _this;
    }
    return InvalidUpdateOutdatedInstancesOnlyValueException;
}(__BaseException));
export { InvalidUpdateOutdatedInstancesOnlyValueException };
var RevisionDoesNotExistException = (function (_super) {
    __extends(RevisionDoesNotExistException, _super);
    function RevisionDoesNotExistException(opts) {
        var _this = _super.call(this, __assign({ name: "RevisionDoesNotExistException", $fault: "client" }, opts)) || this;
        _this.name = "RevisionDoesNotExistException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, RevisionDoesNotExistException.prototype);
        return _this;
    }
    return RevisionDoesNotExistException;
}(__BaseException));
export { RevisionDoesNotExistException };
var ThrottlingException = (function (_super) {
    __extends(ThrottlingException, _super);
    function ThrottlingException(opts) {
        var _this = _super.call(this, __assign({ name: "ThrottlingException", $fault: "client" }, opts)) || this;
        _this.name = "ThrottlingException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ThrottlingException.prototype);
        return _this;
    }
    return ThrottlingException;
}(__BaseException));
export { ThrottlingException };
export var MinimumHealthyHosts;
(function (MinimumHealthyHosts) {
    MinimumHealthyHosts.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(MinimumHealthyHosts || (MinimumHealthyHosts = {}));
export var TimeBasedCanary;
(function (TimeBasedCanary) {
    TimeBasedCanary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TimeBasedCanary || (TimeBasedCanary = {}));
export var TimeBasedLinear;
(function (TimeBasedLinear) {
    TimeBasedLinear.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TimeBasedLinear || (TimeBasedLinear = {}));
export var TrafficRoutingType;
(function (TrafficRoutingType) {
    TrafficRoutingType["AllAtOnce"] = "AllAtOnce";
    TrafficRoutingType["TimeBasedCanary"] = "TimeBasedCanary";
    TrafficRoutingType["TimeBasedLinear"] = "TimeBasedLinear";
})(TrafficRoutingType || (TrafficRoutingType = {}));
export var TrafficRoutingConfig;
(function (TrafficRoutingConfig) {
    TrafficRoutingConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrafficRoutingConfig || (TrafficRoutingConfig = {}));
export var CreateDeploymentConfigInput;
(function (CreateDeploymentConfigInput) {
    CreateDeploymentConfigInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateDeploymentConfigInput || (CreateDeploymentConfigInput = {}));
export var CreateDeploymentConfigOutput;
(function (CreateDeploymentConfigOutput) {
    CreateDeploymentConfigOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateDeploymentConfigOutput || (CreateDeploymentConfigOutput = {}));
var DeploymentConfigAlreadyExistsException = (function (_super) {
    __extends(DeploymentConfigAlreadyExistsException, _super);
    function DeploymentConfigAlreadyExistsException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentConfigAlreadyExistsException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentConfigAlreadyExistsException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentConfigAlreadyExistsException.prototype);
        return _this;
    }
    return DeploymentConfigAlreadyExistsException;
}(__BaseException));
export { DeploymentConfigAlreadyExistsException };
var DeploymentConfigLimitExceededException = (function (_super) {
    __extends(DeploymentConfigLimitExceededException, _super);
    function DeploymentConfigLimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentConfigLimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentConfigLimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentConfigLimitExceededException.prototype);
        return _this;
    }
    return DeploymentConfigLimitExceededException;
}(__BaseException));
export { DeploymentConfigLimitExceededException };
var DeploymentConfigNameRequiredException = (function (_super) {
    __extends(DeploymentConfigNameRequiredException, _super);
    function DeploymentConfigNameRequiredException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentConfigNameRequiredException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentConfigNameRequiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentConfigNameRequiredException.prototype);
        return _this;
    }
    return DeploymentConfigNameRequiredException;
}(__BaseException));
export { DeploymentConfigNameRequiredException };
var InvalidMinimumHealthyHostValueException = (function (_super) {
    __extends(InvalidMinimumHealthyHostValueException, _super);
    function InvalidMinimumHealthyHostValueException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidMinimumHealthyHostValueException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidMinimumHealthyHostValueException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidMinimumHealthyHostValueException.prototype);
        return _this;
    }
    return InvalidMinimumHealthyHostValueException;
}(__BaseException));
export { InvalidMinimumHealthyHostValueException };
export var CreateDeploymentGroupInput;
(function (CreateDeploymentGroupInput) {
    CreateDeploymentGroupInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateDeploymentGroupInput || (CreateDeploymentGroupInput = {}));
export var CreateDeploymentGroupOutput;
(function (CreateDeploymentGroupOutput) {
    CreateDeploymentGroupOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateDeploymentGroupOutput || (CreateDeploymentGroupOutput = {}));
var DeploymentGroupAlreadyExistsException = (function (_super) {
    __extends(DeploymentGroupAlreadyExistsException, _super);
    function DeploymentGroupAlreadyExistsException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentGroupAlreadyExistsException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentGroupAlreadyExistsException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentGroupAlreadyExistsException.prototype);
        return _this;
    }
    return DeploymentGroupAlreadyExistsException;
}(__BaseException));
export { DeploymentGroupAlreadyExistsException };
var DeploymentGroupLimitExceededException = (function (_super) {
    __extends(DeploymentGroupLimitExceededException, _super);
    function DeploymentGroupLimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentGroupLimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentGroupLimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentGroupLimitExceededException.prototype);
        return _this;
    }
    return DeploymentGroupLimitExceededException;
}(__BaseException));
export { DeploymentGroupLimitExceededException };
var ECSServiceMappingLimitExceededException = (function (_super) {
    __extends(ECSServiceMappingLimitExceededException, _super);
    function ECSServiceMappingLimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "ECSServiceMappingLimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "ECSServiceMappingLimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ECSServiceMappingLimitExceededException.prototype);
        return _this;
    }
    return ECSServiceMappingLimitExceededException;
}(__BaseException));
export { ECSServiceMappingLimitExceededException };
var InvalidAlarmConfigException = (function (_super) {
    __extends(InvalidAlarmConfigException, _super);
    function InvalidAlarmConfigException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidAlarmConfigException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidAlarmConfigException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidAlarmConfigException.prototype);
        return _this;
    }
    return InvalidAlarmConfigException;
}(__BaseException));
export { InvalidAlarmConfigException };
var InvalidBlueGreenDeploymentConfigurationException = (function (_super) {
    __extends(InvalidBlueGreenDeploymentConfigurationException, _super);
    function InvalidBlueGreenDeploymentConfigurationException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidBlueGreenDeploymentConfigurationException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidBlueGreenDeploymentConfigurationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidBlueGreenDeploymentConfigurationException.prototype);
        return _this;
    }
    return InvalidBlueGreenDeploymentConfigurationException;
}(__BaseException));
export { InvalidBlueGreenDeploymentConfigurationException };
var InvalidDeploymentStyleException = (function (_super) {
    __extends(InvalidDeploymentStyleException, _super);
    function InvalidDeploymentStyleException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidDeploymentStyleException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidDeploymentStyleException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidDeploymentStyleException.prototype);
        return _this;
    }
    return InvalidDeploymentStyleException;
}(__BaseException));
export { InvalidDeploymentStyleException };
var InvalidEC2TagCombinationException = (function (_super) {
    __extends(InvalidEC2TagCombinationException, _super);
    function InvalidEC2TagCombinationException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidEC2TagCombinationException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidEC2TagCombinationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidEC2TagCombinationException.prototype);
        return _this;
    }
    return InvalidEC2TagCombinationException;
}(__BaseException));
export { InvalidEC2TagCombinationException };
var InvalidEC2TagException = (function (_super) {
    __extends(InvalidEC2TagException, _super);
    function InvalidEC2TagException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidEC2TagException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidEC2TagException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidEC2TagException.prototype);
        return _this;
    }
    return InvalidEC2TagException;
}(__BaseException));
export { InvalidEC2TagException };
var InvalidECSServiceException = (function (_super) {
    __extends(InvalidECSServiceException, _super);
    function InvalidECSServiceException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidECSServiceException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidECSServiceException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidECSServiceException.prototype);
        return _this;
    }
    return InvalidECSServiceException;
}(__BaseException));
export { InvalidECSServiceException };
var InvalidInputException = (function (_super) {
    __extends(InvalidInputException, _super);
    function InvalidInputException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidInputException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidInputException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidInputException.prototype);
        return _this;
    }
    return InvalidInputException;
}(__BaseException));
export { InvalidInputException };
var InvalidOnPremisesTagCombinationException = (function (_super) {
    __extends(InvalidOnPremisesTagCombinationException, _super);
    function InvalidOnPremisesTagCombinationException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidOnPremisesTagCombinationException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidOnPremisesTagCombinationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidOnPremisesTagCombinationException.prototype);
        return _this;
    }
    return InvalidOnPremisesTagCombinationException;
}(__BaseException));
export { InvalidOnPremisesTagCombinationException };
var InvalidTargetGroupPairException = (function (_super) {
    __extends(InvalidTargetGroupPairException, _super);
    function InvalidTargetGroupPairException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidTargetGroupPairException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidTargetGroupPairException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidTargetGroupPairException.prototype);
        return _this;
    }
    return InvalidTargetGroupPairException;
}(__BaseException));
export { InvalidTargetGroupPairException };
var InvalidTriggerConfigException = (function (_super) {
    __extends(InvalidTriggerConfigException, _super);
    function InvalidTriggerConfigException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidTriggerConfigException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidTriggerConfigException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidTriggerConfigException.prototype);
        return _this;
    }
    return InvalidTriggerConfigException;
}(__BaseException));
export { InvalidTriggerConfigException };
var LifecycleHookLimitExceededException = (function (_super) {
    __extends(LifecycleHookLimitExceededException, _super);
    function LifecycleHookLimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "LifecycleHookLimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "LifecycleHookLimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, LifecycleHookLimitExceededException.prototype);
        return _this;
    }
    return LifecycleHookLimitExceededException;
}(__BaseException));
export { LifecycleHookLimitExceededException };
var RoleRequiredException = (function (_super) {
    __extends(RoleRequiredException, _super);
    function RoleRequiredException(opts) {
        var _this = _super.call(this, __assign({ name: "RoleRequiredException", $fault: "client" }, opts)) || this;
        _this.name = "RoleRequiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, RoleRequiredException.prototype);
        return _this;
    }
    return RoleRequiredException;
}(__BaseException));
export { RoleRequiredException };
var TagSetListLimitExceededException = (function (_super) {
    __extends(TagSetListLimitExceededException, _super);
    function TagSetListLimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "TagSetListLimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "TagSetListLimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, TagSetListLimitExceededException.prototype);
        return _this;
    }
    return TagSetListLimitExceededException;
}(__BaseException));
export { TagSetListLimitExceededException };
var TriggerTargetsLimitExceededException = (function (_super) {
    __extends(TriggerTargetsLimitExceededException, _super);
    function TriggerTargetsLimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "TriggerTargetsLimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "TriggerTargetsLimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, TriggerTargetsLimitExceededException.prototype);
        return _this;
    }
    return TriggerTargetsLimitExceededException;
}(__BaseException));
export { TriggerTargetsLimitExceededException };
export var DeleteApplicationInput;
(function (DeleteApplicationInput) {
    DeleteApplicationInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteApplicationInput || (DeleteApplicationInput = {}));
export var DeleteDeploymentConfigInput;
(function (DeleteDeploymentConfigInput) {
    DeleteDeploymentConfigInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteDeploymentConfigInput || (DeleteDeploymentConfigInput = {}));
var DeploymentConfigInUseException = (function (_super) {
    __extends(DeploymentConfigInUseException, _super);
    function DeploymentConfigInUseException(opts) {
        var _this = _super.call(this, __assign({ name: "DeploymentConfigInUseException", $fault: "client" }, opts)) || this;
        _this.name = "DeploymentConfigInUseException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DeploymentConfigInUseException.prototype);
        return _this;
    }
    return DeploymentConfigInUseException;
}(__BaseException));
export { DeploymentConfigInUseException };
var InvalidOperationException = (function (_super) {
    __extends(InvalidOperationException, _super);
    function InvalidOperationException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidOperationException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidOperationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidOperationException.prototype);
        return _this;
    }
    return InvalidOperationException;
}(__BaseException));
export { InvalidOperationException };
export var DeleteDeploymentGroupInput;
(function (DeleteDeploymentGroupInput) {
    DeleteDeploymentGroupInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteDeploymentGroupInput || (DeleteDeploymentGroupInput = {}));
export var DeleteDeploymentGroupOutput;
(function (DeleteDeploymentGroupOutput) {
    DeleteDeploymentGroupOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteDeploymentGroupOutput || (DeleteDeploymentGroupOutput = {}));
export var DeleteGitHubAccountTokenInput;
(function (DeleteGitHubAccountTokenInput) {
    DeleteGitHubAccountTokenInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteGitHubAccountTokenInput || (DeleteGitHubAccountTokenInput = {}));
export var DeleteGitHubAccountTokenOutput;
(function (DeleteGitHubAccountTokenOutput) {
    DeleteGitHubAccountTokenOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteGitHubAccountTokenOutput || (DeleteGitHubAccountTokenOutput = {}));
var GitHubAccountTokenDoesNotExistException = (function (_super) {
    __extends(GitHubAccountTokenDoesNotExistException, _super);
    function GitHubAccountTokenDoesNotExistException(opts) {
        var _this = _super.call(this, __assign({ name: "GitHubAccountTokenDoesNotExistException", $fault: "client" }, opts)) || this;
        _this.name = "GitHubAccountTokenDoesNotExistException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, GitHubAccountTokenDoesNotExistException.prototype);
        return _this;
    }
    return GitHubAccountTokenDoesNotExistException;
}(__BaseException));
export { GitHubAccountTokenDoesNotExistException };
var GitHubAccountTokenNameRequiredException = (function (_super) {
    __extends(GitHubAccountTokenNameRequiredException, _super);
    function GitHubAccountTokenNameRequiredException(opts) {
        var _this = _super.call(this, __assign({ name: "GitHubAccountTokenNameRequiredException", $fault: "client" }, opts)) || this;
        _this.name = "GitHubAccountTokenNameRequiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, GitHubAccountTokenNameRequiredException.prototype);
        return _this;
    }
    return GitHubAccountTokenNameRequiredException;
}(__BaseException));
export { GitHubAccountTokenNameRequiredException };
var InvalidGitHubAccountTokenNameException = (function (_super) {
    __extends(InvalidGitHubAccountTokenNameException, _super);
    function InvalidGitHubAccountTokenNameException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidGitHubAccountTokenNameException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidGitHubAccountTokenNameException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidGitHubAccountTokenNameException.prototype);
        return _this;
    }
    return InvalidGitHubAccountTokenNameException;
}(__BaseException));
export { InvalidGitHubAccountTokenNameException };
var OperationNotSupportedException = (function (_super) {
    __extends(OperationNotSupportedException, _super);
    function OperationNotSupportedException(opts) {
        var _this = _super.call(this, __assign({ name: "OperationNotSupportedException", $fault: "client" }, opts)) || this;
        _this.name = "OperationNotSupportedException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, OperationNotSupportedException.prototype);
        return _this;
    }
    return OperationNotSupportedException;
}(__BaseException));
export { OperationNotSupportedException };
var ResourceValidationException = (function (_super) {
    __extends(ResourceValidationException, _super);
    function ResourceValidationException(opts) {
        var _this = _super.call(this, __assign({ name: "ResourceValidationException", $fault: "client" }, opts)) || this;
        _this.name = "ResourceValidationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ResourceValidationException.prototype);
        return _this;
    }
    return ResourceValidationException;
}(__BaseException));
export { ResourceValidationException };
export var DeleteResourcesByExternalIdInput;
(function (DeleteResourcesByExternalIdInput) {
    DeleteResourcesByExternalIdInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteResourcesByExternalIdInput || (DeleteResourcesByExternalIdInput = {}));
export var DeleteResourcesByExternalIdOutput;
(function (DeleteResourcesByExternalIdOutput) {
    DeleteResourcesByExternalIdOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteResourcesByExternalIdOutput || (DeleteResourcesByExternalIdOutput = {}));
export var DeregisterOnPremisesInstanceInput;
(function (DeregisterOnPremisesInstanceInput) {
    DeregisterOnPremisesInstanceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeregisterOnPremisesInstanceInput || (DeregisterOnPremisesInstanceInput = {}));
export var GetApplicationInput;
(function (GetApplicationInput) {
    GetApplicationInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetApplicationInput || (GetApplicationInput = {}));
export var GetApplicationOutput;
(function (GetApplicationOutput) {
    GetApplicationOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetApplicationOutput || (GetApplicationOutput = {}));
export var GetApplicationRevisionInput;
(function (GetApplicationRevisionInput) {
    GetApplicationRevisionInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetApplicationRevisionInput || (GetApplicationRevisionInput = {}));
export var GetApplicationRevisionOutput;
(function (GetApplicationRevisionOutput) {
    GetApplicationRevisionOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetApplicationRevisionOutput || (GetApplicationRevisionOutput = {}));
export var GetDeploymentInput;
(function (GetDeploymentInput) {
    GetDeploymentInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetDeploymentInput || (GetDeploymentInput = {}));
export var GetDeploymentOutput;
(function (GetDeploymentOutput) {
    GetDeploymentOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetDeploymentOutput || (GetDeploymentOutput = {}));
export var GetDeploymentConfigInput;
(function (GetDeploymentConfigInput) {
    GetDeploymentConfigInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetDeploymentConfigInput || (GetDeploymentConfigInput = {}));
export var DeploymentConfigInfo;
(function (DeploymentConfigInfo) {
    DeploymentConfigInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeploymentConfigInfo || (DeploymentConfigInfo = {}));
export var GetDeploymentConfigOutput;
(function (GetDeploymentConfigOutput) {
    GetDeploymentConfigOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetDeploymentConfigOutput || (GetDeploymentConfigOutput = {}));
export var GetDeploymentGroupInput;
(function (GetDeploymentGroupInput) {
    GetDeploymentGroupInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetDeploymentGroupInput || (GetDeploymentGroupInput = {}));
export var GetDeploymentGroupOutput;
(function (GetDeploymentGroupOutput) {
    GetDeploymentGroupOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetDeploymentGroupOutput || (GetDeploymentGroupOutput = {}));
export var GetDeploymentInstanceInput;
(function (GetDeploymentInstanceInput) {
    GetDeploymentInstanceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetDeploymentInstanceInput || (GetDeploymentInstanceInput = {}));
export var GetDeploymentInstanceOutput;
(function (GetDeploymentInstanceOutput) {
    GetDeploymentInstanceOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetDeploymentInstanceOutput || (GetDeploymentInstanceOutput = {}));
export var GetDeploymentTargetInput;
(function (GetDeploymentTargetInput) {
    GetDeploymentTargetInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetDeploymentTargetInput || (GetDeploymentTargetInput = {}));
export var GetDeploymentTargetOutput;
(function (GetDeploymentTargetOutput) {
    GetDeploymentTargetOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetDeploymentTargetOutput || (GetDeploymentTargetOutput = {}));
export var GetOnPremisesInstanceInput;
(function (GetOnPremisesInstanceInput) {
    GetOnPremisesInstanceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetOnPremisesInstanceInput || (GetOnPremisesInstanceInput = {}));
export var GetOnPremisesInstanceOutput;
(function (GetOnPremisesInstanceOutput) {
    GetOnPremisesInstanceOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetOnPremisesInstanceOutput || (GetOnPremisesInstanceOutput = {}));
var InvalidBucketNameFilterException = (function (_super) {
    __extends(InvalidBucketNameFilterException, _super);
    function InvalidBucketNameFilterException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidBucketNameFilterException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidBucketNameFilterException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidBucketNameFilterException.prototype);
        return _this;
    }
    return InvalidBucketNameFilterException;
}(__BaseException));
export { InvalidBucketNameFilterException };
var InvalidDeployedStateFilterException = (function (_super) {
    __extends(InvalidDeployedStateFilterException, _super);
    function InvalidDeployedStateFilterException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidDeployedStateFilterException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidDeployedStateFilterException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidDeployedStateFilterException.prototype);
        return _this;
    }
    return InvalidDeployedStateFilterException;
}(__BaseException));
export { InvalidDeployedStateFilterException };
var InvalidKeyPrefixFilterException = (function (_super) {
    __extends(InvalidKeyPrefixFilterException, _super);
    function InvalidKeyPrefixFilterException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidKeyPrefixFilterException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidKeyPrefixFilterException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidKeyPrefixFilterException.prototype);
        return _this;
    }
    return InvalidKeyPrefixFilterException;
}(__BaseException));
export { InvalidKeyPrefixFilterException };
var InvalidNextTokenException = (function (_super) {
    __extends(InvalidNextTokenException, _super);
    function InvalidNextTokenException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidNextTokenException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidNextTokenException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidNextTokenException.prototype);
        return _this;
    }
    return InvalidNextTokenException;
}(__BaseException));
export { InvalidNextTokenException };
var InvalidSortByException = (function (_super) {
    __extends(InvalidSortByException, _super);
    function InvalidSortByException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidSortByException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidSortByException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidSortByException.prototype);
        return _this;
    }
    return InvalidSortByException;
}(__BaseException));
export { InvalidSortByException };
var InvalidSortOrderException = (function (_super) {
    __extends(InvalidSortOrderException, _super);
    function InvalidSortOrderException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidSortOrderException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidSortOrderException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidSortOrderException.prototype);
        return _this;
    }
    return InvalidSortOrderException;
}(__BaseException));
export { InvalidSortOrderException };
export var ListStateFilterAction;
(function (ListStateFilterAction) {
    ListStateFilterAction["Exclude"] = "exclude";
    ListStateFilterAction["Ignore"] = "ignore";
    ListStateFilterAction["Include"] = "include";
})(ListStateFilterAction || (ListStateFilterAction = {}));
export var SortOrder;
(function (SortOrder) {
    SortOrder["Ascending"] = "ascending";
    SortOrder["Descending"] = "descending";
})(SortOrder || (SortOrder = {}));
export var ListApplicationRevisionsInput;
(function (ListApplicationRevisionsInput) {
    ListApplicationRevisionsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListApplicationRevisionsInput || (ListApplicationRevisionsInput = {}));
export var ListApplicationRevisionsOutput;
(function (ListApplicationRevisionsOutput) {
    ListApplicationRevisionsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListApplicationRevisionsOutput || (ListApplicationRevisionsOutput = {}));
export var ListApplicationsInput;
(function (ListApplicationsInput) {
    ListApplicationsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListApplicationsInput || (ListApplicationsInput = {}));
export var ListApplicationsOutput;
(function (ListApplicationsOutput) {
    ListApplicationsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListApplicationsOutput || (ListApplicationsOutput = {}));
export var ListDeploymentConfigsInput;
(function (ListDeploymentConfigsInput) {
    ListDeploymentConfigsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDeploymentConfigsInput || (ListDeploymentConfigsInput = {}));
export var ListDeploymentConfigsOutput;
(function (ListDeploymentConfigsOutput) {
    ListDeploymentConfigsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDeploymentConfigsOutput || (ListDeploymentConfigsOutput = {}));
export var ListDeploymentGroupsInput;
(function (ListDeploymentGroupsInput) {
    ListDeploymentGroupsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDeploymentGroupsInput || (ListDeploymentGroupsInput = {}));
export var ListDeploymentGroupsOutput;
(function (ListDeploymentGroupsOutput) {
    ListDeploymentGroupsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDeploymentGroupsOutput || (ListDeploymentGroupsOutput = {}));
var InvalidDeploymentInstanceTypeException = (function (_super) {
    __extends(InvalidDeploymentInstanceTypeException, _super);
    function InvalidDeploymentInstanceTypeException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidDeploymentInstanceTypeException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidDeploymentInstanceTypeException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidDeploymentInstanceTypeException.prototype);
        return _this;
    }
    return InvalidDeploymentInstanceTypeException;
}(__BaseException));
export { InvalidDeploymentInstanceTypeException };
var InvalidInstanceStatusException = (function (_super) {
    __extends(InvalidInstanceStatusException, _super);
    function InvalidInstanceStatusException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidInstanceStatusException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidInstanceStatusException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidInstanceStatusException.prototype);
        return _this;
    }
    return InvalidInstanceStatusException;
}(__BaseException));
export { InvalidInstanceStatusException };
var InvalidInstanceTypeException = (function (_super) {
    __extends(InvalidInstanceTypeException, _super);
    function InvalidInstanceTypeException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidInstanceTypeException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidInstanceTypeException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidInstanceTypeException.prototype);
        return _this;
    }
    return InvalidInstanceTypeException;
}(__BaseException));
export { InvalidInstanceTypeException };
var InvalidTargetFilterNameException = (function (_super) {
    __extends(InvalidTargetFilterNameException, _super);
    function InvalidTargetFilterNameException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidTargetFilterNameException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidTargetFilterNameException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidTargetFilterNameException.prototype);
        return _this;
    }
    return InvalidTargetFilterNameException;
}(__BaseException));
export { InvalidTargetFilterNameException };
export var ListDeploymentInstancesInput;
(function (ListDeploymentInstancesInput) {
    ListDeploymentInstancesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDeploymentInstancesInput || (ListDeploymentInstancesInput = {}));
export var ListDeploymentInstancesOutput;
(function (ListDeploymentInstancesOutput) {
    ListDeploymentInstancesOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDeploymentInstancesOutput || (ListDeploymentInstancesOutput = {}));
var InvalidExternalIdException = (function (_super) {
    __extends(InvalidExternalIdException, _super);
    function InvalidExternalIdException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidExternalIdException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidExternalIdException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidExternalIdException.prototype);
        return _this;
    }
    return InvalidExternalIdException;
}(__BaseException));
export { InvalidExternalIdException };
var InvalidTimeRangeException = (function (_super) {
    __extends(InvalidTimeRangeException, _super);
    function InvalidTimeRangeException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidTimeRangeException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidTimeRangeException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidTimeRangeException.prototype);
        return _this;
    }
    return InvalidTimeRangeException;
}(__BaseException));
export { InvalidTimeRangeException };
export var TimeRange;
(function (TimeRange) {
    TimeRange.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TimeRange || (TimeRange = {}));
export var ListDeploymentsInput;
(function (ListDeploymentsInput) {
    ListDeploymentsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDeploymentsInput || (ListDeploymentsInput = {}));
export var ListDeploymentsOutput;
(function (ListDeploymentsOutput) {
    ListDeploymentsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDeploymentsOutput || (ListDeploymentsOutput = {}));
export var TargetFilterName;
(function (TargetFilterName) {
    TargetFilterName["SERVER_INSTANCE_LABEL"] = "ServerInstanceLabel";
    TargetFilterName["TARGET_STATUS"] = "TargetStatus";
})(TargetFilterName || (TargetFilterName = {}));
export var ListDeploymentTargetsInput;
(function (ListDeploymentTargetsInput) {
    ListDeploymentTargetsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDeploymentTargetsInput || (ListDeploymentTargetsInput = {}));
export var ListDeploymentTargetsOutput;
(function (ListDeploymentTargetsOutput) {
    ListDeploymentTargetsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDeploymentTargetsOutput || (ListDeploymentTargetsOutput = {}));
export var ListGitHubAccountTokenNamesInput;
(function (ListGitHubAccountTokenNamesInput) {
    ListGitHubAccountTokenNamesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListGitHubAccountTokenNamesInput || (ListGitHubAccountTokenNamesInput = {}));
export var ListGitHubAccountTokenNamesOutput;
(function (ListGitHubAccountTokenNamesOutput) {
    ListGitHubAccountTokenNamesOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListGitHubAccountTokenNamesOutput || (ListGitHubAccountTokenNamesOutput = {}));
var InvalidRegistrationStatusException = (function (_super) {
    __extends(InvalidRegistrationStatusException, _super);
    function InvalidRegistrationStatusException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidRegistrationStatusException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidRegistrationStatusException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidRegistrationStatusException.prototype);
        return _this;
    }
    return InvalidRegistrationStatusException;
}(__BaseException));
export { InvalidRegistrationStatusException };
var InvalidTagFilterException = (function (_super) {
    __extends(InvalidTagFilterException, _super);
    function InvalidTagFilterException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidTagFilterException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidTagFilterException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidTagFilterException.prototype);
        return _this;
    }
    return InvalidTagFilterException;
}(__BaseException));
export { InvalidTagFilterException };
export var RegistrationStatus;
(function (RegistrationStatus) {
    RegistrationStatus["Deregistered"] = "Deregistered";
    RegistrationStatus["Registered"] = "Registered";
})(RegistrationStatus || (RegistrationStatus = {}));
export var ListOnPremisesInstancesInput;
(function (ListOnPremisesInstancesInput) {
    ListOnPremisesInstancesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListOnPremisesInstancesInput || (ListOnPremisesInstancesInput = {}));
export var ListOnPremisesInstancesOutput;
(function (ListOnPremisesInstancesOutput) {
    ListOnPremisesInstancesOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListOnPremisesInstancesOutput || (ListOnPremisesInstancesOutput = {}));
var InvalidArnException = (function (_super) {
    __extends(InvalidArnException, _super);
    function InvalidArnException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidArnException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidArnException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidArnException.prototype);
        return _this;
    }
    return InvalidArnException;
}(__BaseException));
export { InvalidArnException };
export var ListTagsForResourceInput;
(function (ListTagsForResourceInput) {
    ListTagsForResourceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTagsForResourceInput || (ListTagsForResourceInput = {}));
export var ListTagsForResourceOutput;
(function (ListTagsForResourceOutput) {
    ListTagsForResourceOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTagsForResourceOutput || (ListTagsForResourceOutput = {}));
var ResourceArnRequiredException = (function (_super) {
    __extends(ResourceArnRequiredException, _super);
    function ResourceArnRequiredException(opts) {
        var _this = _super.call(this, __assign({ name: "ResourceArnRequiredException", $fault: "client" }, opts)) || this;
        _this.name = "ResourceArnRequiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ResourceArnRequiredException.prototype);
        return _this;
    }
    return ResourceArnRequiredException;
}(__BaseException));
export { ResourceArnRequiredException };
var InvalidLifecycleEventHookExecutionIdException = (function (_super) {
    __extends(InvalidLifecycleEventHookExecutionIdException, _super);
    function InvalidLifecycleEventHookExecutionIdException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidLifecycleEventHookExecutionIdException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidLifecycleEventHookExecutionIdException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidLifecycleEventHookExecutionIdException.prototype);
        return _this;
    }
    return InvalidLifecycleEventHookExecutionIdException;
}(__BaseException));
export { InvalidLifecycleEventHookExecutionIdException };
var InvalidLifecycleEventHookExecutionStatusException = (function (_super) {
    __extends(InvalidLifecycleEventHookExecutionStatusException, _super);
    function InvalidLifecycleEventHookExecutionStatusException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidLifecycleEventHookExecutionStatusException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidLifecycleEventHookExecutionStatusException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidLifecycleEventHookExecutionStatusException.prototype);
        return _this;
    }
    return InvalidLifecycleEventHookExecutionStatusException;
}(__BaseException));
export { InvalidLifecycleEventHookExecutionStatusException };
var LifecycleEventAlreadyCompletedException = (function (_super) {
    __extends(LifecycleEventAlreadyCompletedException, _super);
    function LifecycleEventAlreadyCompletedException(opts) {
        var _this = _super.call(this, __assign({ name: "LifecycleEventAlreadyCompletedException", $fault: "client" }, opts)) || this;
        _this.name = "LifecycleEventAlreadyCompletedException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, LifecycleEventAlreadyCompletedException.prototype);
        return _this;
    }
    return LifecycleEventAlreadyCompletedException;
}(__BaseException));
export { LifecycleEventAlreadyCompletedException };
export var PutLifecycleEventHookExecutionStatusInput;
(function (PutLifecycleEventHookExecutionStatusInput) {
    PutLifecycleEventHookExecutionStatusInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutLifecycleEventHookExecutionStatusInput || (PutLifecycleEventHookExecutionStatusInput = {}));
export var PutLifecycleEventHookExecutionStatusOutput;
(function (PutLifecycleEventHookExecutionStatusOutput) {
    PutLifecycleEventHookExecutionStatusOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutLifecycleEventHookExecutionStatusOutput || (PutLifecycleEventHookExecutionStatusOutput = {}));
export var RegisterApplicationRevisionInput;
(function (RegisterApplicationRevisionInput) {
    RegisterApplicationRevisionInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RegisterApplicationRevisionInput || (RegisterApplicationRevisionInput = {}));
var IamArnRequiredException = (function (_super) {
    __extends(IamArnRequiredException, _super);
    function IamArnRequiredException(opts) {
        var _this = _super.call(this, __assign({ name: "IamArnRequiredException", $fault: "client" }, opts)) || this;
        _this.name = "IamArnRequiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, IamArnRequiredException.prototype);
        return _this;
    }
    return IamArnRequiredException;
}(__BaseException));
export { IamArnRequiredException };
var IamSessionArnAlreadyRegisteredException = (function (_super) {
    __extends(IamSessionArnAlreadyRegisteredException, _super);
    function IamSessionArnAlreadyRegisteredException(opts) {
        var _this = _super.call(this, __assign({ name: "IamSessionArnAlreadyRegisteredException", $fault: "client" }, opts)) || this;
        _this.name = "IamSessionArnAlreadyRegisteredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, IamSessionArnAlreadyRegisteredException.prototype);
        return _this;
    }
    return IamSessionArnAlreadyRegisteredException;
}(__BaseException));
export { IamSessionArnAlreadyRegisteredException };
var IamUserArnAlreadyRegisteredException = (function (_super) {
    __extends(IamUserArnAlreadyRegisteredException, _super);
    function IamUserArnAlreadyRegisteredException(opts) {
        var _this = _super.call(this, __assign({ name: "IamUserArnAlreadyRegisteredException", $fault: "client" }, opts)) || this;
        _this.name = "IamUserArnAlreadyRegisteredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, IamUserArnAlreadyRegisteredException.prototype);
        return _this;
    }
    return IamUserArnAlreadyRegisteredException;
}(__BaseException));
export { IamUserArnAlreadyRegisteredException };
var IamUserArnRequiredException = (function (_super) {
    __extends(IamUserArnRequiredException, _super);
    function IamUserArnRequiredException(opts) {
        var _this = _super.call(this, __assign({ name: "IamUserArnRequiredException", $fault: "client" }, opts)) || this;
        _this.name = "IamUserArnRequiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, IamUserArnRequiredException.prototype);
        return _this;
    }
    return IamUserArnRequiredException;
}(__BaseException));
export { IamUserArnRequiredException };
var InstanceNameAlreadyRegisteredException = (function (_super) {
    __extends(InstanceNameAlreadyRegisteredException, _super);
    function InstanceNameAlreadyRegisteredException(opts) {
        var _this = _super.call(this, __assign({ name: "InstanceNameAlreadyRegisteredException", $fault: "client" }, opts)) || this;
        _this.name = "InstanceNameAlreadyRegisteredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InstanceNameAlreadyRegisteredException.prototype);
        return _this;
    }
    return InstanceNameAlreadyRegisteredException;
}(__BaseException));
export { InstanceNameAlreadyRegisteredException };
var InvalidIamSessionArnException = (function (_super) {
    __extends(InvalidIamSessionArnException, _super);
    function InvalidIamSessionArnException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidIamSessionArnException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidIamSessionArnException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidIamSessionArnException.prototype);
        return _this;
    }
    return InvalidIamSessionArnException;
}(__BaseException));
export { InvalidIamSessionArnException };
var InvalidIamUserArnException = (function (_super) {
    __extends(InvalidIamUserArnException, _super);
    function InvalidIamUserArnException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidIamUserArnException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidIamUserArnException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidIamUserArnException.prototype);
        return _this;
    }
    return InvalidIamUserArnException;
}(__BaseException));
export { InvalidIamUserArnException };
var MultipleIamArnsProvidedException = (function (_super) {
    __extends(MultipleIamArnsProvidedException, _super);
    function MultipleIamArnsProvidedException(opts) {
        var _this = _super.call(this, __assign({ name: "MultipleIamArnsProvidedException", $fault: "client" }, opts)) || this;
        _this.name = "MultipleIamArnsProvidedException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, MultipleIamArnsProvidedException.prototype);
        return _this;
    }
    return MultipleIamArnsProvidedException;
}(__BaseException));
export { MultipleIamArnsProvidedException };
export var RegisterOnPremisesInstanceInput;
(function (RegisterOnPremisesInstanceInput) {
    RegisterOnPremisesInstanceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RegisterOnPremisesInstanceInput || (RegisterOnPremisesInstanceInput = {}));
export var RemoveTagsFromOnPremisesInstancesInput;
(function (RemoveTagsFromOnPremisesInstancesInput) {
    RemoveTagsFromOnPremisesInstancesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RemoveTagsFromOnPremisesInstancesInput || (RemoveTagsFromOnPremisesInstancesInput = {}));
export var SkipWaitTimeForInstanceTerminationInput;
(function (SkipWaitTimeForInstanceTerminationInput) {
    SkipWaitTimeForInstanceTerminationInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SkipWaitTimeForInstanceTerminationInput || (SkipWaitTimeForInstanceTerminationInput = {}));
export var StopDeploymentInput;
(function (StopDeploymentInput) {
    StopDeploymentInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopDeploymentInput || (StopDeploymentInput = {}));
export var StopStatus;
(function (StopStatus) {
    StopStatus["PENDING"] = "Pending";
    StopStatus["SUCCEEDED"] = "Succeeded";
})(StopStatus || (StopStatus = {}));
export var StopDeploymentOutput;
(function (StopDeploymentOutput) {
    StopDeploymentOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopDeploymentOutput || (StopDeploymentOutput = {}));
export var TagResourceInput;
(function (TagResourceInput) {
    TagResourceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagResourceInput || (TagResourceInput = {}));
export var TagResourceOutput;
(function (TagResourceOutput) {
    TagResourceOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagResourceOutput || (TagResourceOutput = {}));
export var UntagResourceInput;
(function (UntagResourceInput) {
    UntagResourceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UntagResourceInput || (UntagResourceInput = {}));
export var UntagResourceOutput;
(function (UntagResourceOutput) {
    UntagResourceOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UntagResourceOutput || (UntagResourceOutput = {}));
export var UpdateApplicationInput;
(function (UpdateApplicationInput) {
    UpdateApplicationInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateApplicationInput || (UpdateApplicationInput = {}));
export var UpdateDeploymentGroupInput;
(function (UpdateDeploymentGroupInput) {
    UpdateDeploymentGroupInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateDeploymentGroupInput || (UpdateDeploymentGroupInput = {}));
export var UpdateDeploymentGroupOutput;
(function (UpdateDeploymentGroupOutput) {
    UpdateDeploymentGroupOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateDeploymentGroupOutput || (UpdateDeploymentGroupOutput = {}));
